import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  CreateCapacityProviderRequest,
  CreateCapacityProviderResponse,
} from "../models/models_0";
export interface CreateCapacityProviderCommandInput
  extends CreateCapacityProviderRequest {}
export interface CreateCapacityProviderCommandOutput
  extends CreateCapacityProviderResponse,
    __MetadataBearer {}
export declare class CreateCapacityProviderCommand extends $Command<
  CreateCapacityProviderCommandInput,
  CreateCapacityProviderCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: CreateCapacityProviderCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateCapacityProviderCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateCapacityProviderCommandInput,
    CreateCapacityProviderCommandOutput
  >;
  private serialize;
  private deserialize;
}
