import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  DeleteAccountSettingRequest,
  DeleteAccountSettingResponse,
} from "../models/models_0";
export interface DeleteAccountSettingCommandInput
  extends DeleteAccountSettingRequest {}
export interface DeleteAccountSettingCommandOutput
  extends DeleteAccountSettingResponse,
    __MetadataBearer {}
export declare class DeleteAccountSettingCommand extends $Command<
  DeleteAccountSettingCommandInput,
  DeleteAccountSettingCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: DeleteAccountSettingCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteAccountSettingCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteAccountSettingCommandInput,
    DeleteAccountSettingCommandOutput
  >;
  private serialize;
  private deserialize;
}
