import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  DeleteAttributesRequest,
  DeleteAttributesResponse,
} from "../models/models_0";
export interface DeleteAttributesCommandInput extends DeleteAttributesRequest {}
export interface DeleteAttributesCommandOutput
  extends DeleteAttributesResponse,
    __MetadataBearer {}
export declare class DeleteAttributesCommand extends $Command<
  DeleteAttributesCommandInput,
  DeleteAttributesCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: DeleteAttributesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteAttributesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DeleteAttributesCommandInput, DeleteAttributesCommandOutput>;
  private serialize;
  private deserialize;
}
