import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  DeleteCapacityProviderRequest,
  DeleteCapacityProviderResponse,
} from "../models/models_0";
export interface DeleteCapacityProviderCommandInput
  extends DeleteCapacityProviderRequest {}
export interface DeleteCapacityProviderCommandOutput
  extends DeleteCapacityProviderResponse,
    __MetadataBearer {}
export declare class DeleteCapacityProviderCommand extends $Command<
  DeleteCapacityProviderCommandInput,
  DeleteCapacityProviderCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: DeleteCapacityProviderCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteCapacityProviderCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteCapacityProviderCommandInput,
    DeleteCapacityProviderCommandOutput
  >;
  private serialize;
  private deserialize;
}
