import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  DeregisterTaskDefinitionRequest,
  DeregisterTaskDefinitionResponse,
} from "../models/models_0";
export interface DeregisterTaskDefinitionCommandInput
  extends DeregisterTaskDefinitionRequest {}
export interface DeregisterTaskDefinitionCommandOutput
  extends DeregisterTaskDefinitionResponse,
    __MetadataBearer {}
export declare class DeregisterTaskDefinitionCommand extends $Command<
  DeregisterTaskDefinitionCommandInput,
  DeregisterTaskDefinitionCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: DeregisterTaskDefinitionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeregisterTaskDefinitionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeregisterTaskDefinitionCommandInput,
    DeregisterTaskDefinitionCommandOutput
  >;
  private serialize;
  private deserialize;
}
