import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  DescribeCapacityProvidersRequest,
  DescribeCapacityProvidersResponse,
} from "../models/models_0";
export interface DescribeCapacityProvidersCommandInput
  extends DescribeCapacityProvidersRequest {}
export interface DescribeCapacityProvidersCommandOutput
  extends DescribeCapacityProvidersResponse,
    __MetadataBearer {}
export declare class DescribeCapacityProvidersCommand extends $Command<
  DescribeCapacityProvidersCommandInput,
  DescribeCapacityProvidersCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: DescribeCapacityProvidersCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeCapacityProvidersCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeCapacityProvidersCommandInput,
    DescribeCapacityProvidersCommandOutput
  >;
  private serialize;
  private deserialize;
}
