import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  DescribeContainerInstancesRequest,
  DescribeContainerInstancesResponse,
} from "../models/models_0";
export interface DescribeContainerInstancesCommandInput
  extends DescribeContainerInstancesRequest {}
export interface DescribeContainerInstancesCommandOutput
  extends DescribeContainerInstancesResponse,
    __MetadataBearer {}
export declare class DescribeContainerInstancesCommand extends $Command<
  DescribeContainerInstancesCommandInput,
  DescribeContainerInstancesCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: DescribeContainerInstancesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeContainerInstancesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeContainerInstancesCommandInput,
    DescribeContainerInstancesCommandOutput
  >;
  private serialize;
  private deserialize;
}
