import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  DescribeTaskDefinitionRequest,
  DescribeTaskDefinitionResponse,
} from "../models/models_0";
export interface DescribeTaskDefinitionCommandInput
  extends DescribeTaskDefinitionRequest {}
export interface DescribeTaskDefinitionCommandOutput
  extends DescribeTaskDefinitionResponse,
    __MetadataBearer {}
export declare class DescribeTaskDefinitionCommand extends $Command<
  DescribeTaskDefinitionCommandInput,
  DescribeTaskDefinitionCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: DescribeTaskDefinitionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeTaskDefinitionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeTaskDefinitionCommandInput,
    DescribeTaskDefinitionCommandOutput
  >;
  private serialize;
  private deserialize;
}
