import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  DiscoverPollEndpointRequest,
  DiscoverPollEndpointResponse,
} from "../models/models_0";
export interface DiscoverPollEndpointCommandInput
  extends DiscoverPollEndpointRequest {}
export interface DiscoverPollEndpointCommandOutput
  extends DiscoverPollEndpointResponse,
    __MetadataBearer {}
export declare class DiscoverPollEndpointCommand extends $Command<
  DiscoverPollEndpointCommandInput,
  DiscoverPollEndpointCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: DiscoverPollEndpointCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DiscoverPollEndpointCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DiscoverPollEndpointCommandInput,
    DiscoverPollEndpointCommandOutput
  >;
  private serialize;
  private deserialize;
}
