import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import { ListClustersRequest, ListClustersResponse } from "../models/models_0";
export interface ListClustersCommandInput extends ListClustersRequest {}
export interface ListClustersCommandOutput
  extends ListClustersResponse,
    __MetadataBearer {}
export declare class ListClustersCommand extends $Command<
  ListClustersCommandInput,
  ListClustersCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: ListClustersCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListClustersCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListClustersCommandInput, ListClustersCommandOutput>;
  private serialize;
  private deserialize;
}
