import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  ListContainerInstancesRequest,
  ListContainerInstancesResponse,
} from "../models/models_0";
export interface ListContainerInstancesCommandInput
  extends ListContainerInstancesRequest {}
export interface ListContainerInstancesCommandOutput
  extends ListContainerInstancesResponse,
    __MetadataBearer {}
export declare class ListContainerInstancesCommand extends $Command<
  ListContainerInstancesCommandInput,
  ListContainerInstancesCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: ListContainerInstancesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListContainerInstancesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListContainerInstancesCommandInput,
    ListContainerInstancesCommandOutput
  >;
  private serialize;
  private deserialize;
}
