import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  ListTaskDefinitionFamiliesRequest,
  ListTaskDefinitionFamiliesResponse,
} from "../models/models_0";
export interface ListTaskDefinitionFamiliesCommandInput
  extends ListTaskDefinitionFamiliesRequest {}
export interface ListTaskDefinitionFamiliesCommandOutput
  extends ListTaskDefinitionFamiliesResponse,
    __MetadataBearer {}
export declare class ListTaskDefinitionFamiliesCommand extends $Command<
  ListTaskDefinitionFamiliesCommandInput,
  ListTaskDefinitionFamiliesCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: ListTaskDefinitionFamiliesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListTaskDefinitionFamiliesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListTaskDefinitionFamiliesCommandInput,
    ListTaskDefinitionFamiliesCommandOutput
  >;
  private serialize;
  private deserialize;
}
