import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import { ListTasksRequest, ListTasksResponse } from "../models/models_0";
export interface ListTasksCommandInput extends ListTasksRequest {}
export interface ListTasksCommandOutput
  extends ListTasksResponse,
    __MetadataBearer {}
export declare class ListTasksCommand extends $Command<
  ListTasksCommandInput,
  ListTasksCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: ListTasksCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListTasksCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListTasksCommandInput, ListTasksCommandOutput>;
  private serialize;
  private deserialize;
}
