import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  PutAccountSettingDefaultRequest,
  PutAccountSettingDefaultResponse,
} from "../models/models_0";
export interface PutAccountSettingDefaultCommandInput
  extends PutAccountSettingDefaultRequest {}
export interface PutAccountSettingDefaultCommandOutput
  extends PutAccountSettingDefaultResponse,
    __MetadataBearer {}
export declare class PutAccountSettingDefaultCommand extends $Command<
  PutAccountSettingDefaultCommandInput,
  PutAccountSettingDefaultCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: PutAccountSettingDefaultCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutAccountSettingDefaultCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PutAccountSettingDefaultCommandInput,
    PutAccountSettingDefaultCommandOutput
  >;
  private serialize;
  private deserialize;
}
