import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  PutClusterCapacityProvidersRequest,
  PutClusterCapacityProvidersResponse,
} from "../models/models_0";
export interface PutClusterCapacityProvidersCommandInput
  extends PutClusterCapacityProvidersRequest {}
export interface PutClusterCapacityProvidersCommandOutput
  extends PutClusterCapacityProvidersResponse,
    __MetadataBearer {}
export declare class PutClusterCapacityProvidersCommand extends $Command<
  PutClusterCapacityProvidersCommandInput,
  PutClusterCapacityProvidersCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: PutClusterCapacityProvidersCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutClusterCapacityProvidersCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PutClusterCapacityProvidersCommandInput,
    PutClusterCapacityProvidersCommandOutput
  >;
  private serialize;
  private deserialize;
}
