import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  RegisterContainerInstanceRequest,
  RegisterContainerInstanceResponse,
} from "../models/models_0";
export interface RegisterContainerInstanceCommandInput
  extends RegisterContainerInstanceRequest {}
export interface RegisterContainerInstanceCommandOutput
  extends RegisterContainerInstanceResponse,
    __MetadataBearer {}
export declare class RegisterContainerInstanceCommand extends $Command<
  RegisterContainerInstanceCommandInput,
  RegisterContainerInstanceCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: RegisterContainerInstanceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RegisterContainerInstanceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RegisterContainerInstanceCommandInput,
    RegisterContainerInstanceCommandOutput
  >;
  private serialize;
  private deserialize;
}
