import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  RegisterTaskDefinitionRequest,
  RegisterTaskDefinitionResponse,
} from "../models/models_0";
export interface RegisterTaskDefinitionCommandInput
  extends RegisterTaskDefinitionRequest {}
export interface RegisterTaskDefinitionCommandOutput
  extends RegisterTaskDefinitionResponse,
    __MetadataBearer {}
export declare class RegisterTaskDefinitionCommand extends $Command<
  RegisterTaskDefinitionCommandInput,
  RegisterTaskDefinitionCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: RegisterTaskDefinitionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RegisterTaskDefinitionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RegisterTaskDefinitionCommandInput,
    RegisterTaskDefinitionCommandOutput
  >;
  private serialize;
  private deserialize;
}
