import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import { RunTaskRequest, RunTaskResponse } from "../models/models_0";
export interface RunTaskCommandInput extends RunTaskRequest {}
export interface RunTaskCommandOutput
  extends RunTaskResponse,
    __MetadataBearer {}
export declare class RunTaskCommand extends $Command<
  RunTaskCommandInput,
  RunTaskCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: RunTaskCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RunTaskCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<RunTaskCommandInput, RunTaskCommandOutput>;
  private serialize;
  private deserialize;
}
