import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import { StartTaskRequest, StartTaskResponse } from "../models/models_0";
export interface StartTaskCommandInput extends StartTaskRequest {}
export interface StartTaskCommandOutput
  extends StartTaskResponse,
    __MetadataBearer {}
export declare class StartTaskCommand extends $Command<
  StartTaskCommandInput,
  StartTaskCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: StartTaskCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: StartTaskCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<StartTaskCommandInput, StartTaskCommandOutput>;
  private serialize;
  private deserialize;
}
