import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import { StopTaskRequest, StopTaskResponse } from "../models/models_0";
export interface StopTaskCommandInput extends StopTaskRequest {}
export interface StopTaskCommandOutput
  extends StopTaskResponse,
    __MetadataBearer {}
export declare class StopTaskCommand extends $Command<
  StopTaskCommandInput,
  StopTaskCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: StopTaskCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: StopTaskCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<StopTaskCommandInput, StopTaskCommandOutput>;
  private serialize;
  private deserialize;
}
