import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  SubmitContainerStateChangeRequest,
  SubmitContainerStateChangeResponse,
} from "../models/models_0";
export interface SubmitContainerStateChangeCommandInput
  extends SubmitContainerStateChangeRequest {}
export interface SubmitContainerStateChangeCommandOutput
  extends SubmitContainerStateChangeResponse,
    __MetadataBearer {}
export declare class SubmitContainerStateChangeCommand extends $Command<
  SubmitContainerStateChangeCommandInput,
  SubmitContainerStateChangeCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: SubmitContainerStateChangeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: SubmitContainerStateChangeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    SubmitContainerStateChangeCommandInput,
    SubmitContainerStateChangeCommandOutput
  >;
  private serialize;
  private deserialize;
}
