import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  SubmitTaskStateChangeRequest,
  SubmitTaskStateChangeResponse,
} from "../models/models_0";
export interface SubmitTaskStateChangeCommandInput
  extends SubmitTaskStateChangeRequest {}
export interface SubmitTaskStateChangeCommandOutput
  extends SubmitTaskStateChangeResponse,
    __MetadataBearer {}
export declare class SubmitTaskStateChangeCommand extends $Command<
  SubmitTaskStateChangeCommandInput,
  SubmitTaskStateChangeCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: SubmitTaskStateChangeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: SubmitTaskStateChangeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    SubmitTaskStateChangeCommandInput,
    SubmitTaskStateChangeCommandOutput
  >;
  private serialize;
  private deserialize;
}
