import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  UpdateCapacityProviderRequest,
  UpdateCapacityProviderResponse,
} from "../models/models_0";
export interface UpdateCapacityProviderCommandInput
  extends UpdateCapacityProviderRequest {}
export interface UpdateCapacityProviderCommandOutput
  extends UpdateCapacityProviderResponse,
    __MetadataBearer {}
export declare class UpdateCapacityProviderCommand extends $Command<
  UpdateCapacityProviderCommandInput,
  UpdateCapacityProviderCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: UpdateCapacityProviderCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateCapacityProviderCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateCapacityProviderCommandInput,
    UpdateCapacityProviderCommandOutput
  >;
  private serialize;
  private deserialize;
}
