import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  UpdateClusterSettingsRequest,
  UpdateClusterSettingsResponse,
} from "../models/models_0";
export interface UpdateClusterSettingsCommandInput
  extends UpdateClusterSettingsRequest {}
export interface UpdateClusterSettingsCommandOutput
  extends UpdateClusterSettingsResponse,
    __MetadataBearer {}
export declare class UpdateClusterSettingsCommand extends $Command<
  UpdateClusterSettingsCommandInput,
  UpdateClusterSettingsCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: UpdateClusterSettingsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateClusterSettingsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateClusterSettingsCommandInput,
    UpdateClusterSettingsCommandOutput
  >;
  private serialize;
  private deserialize;
}
