import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  UpdateContainerAgentRequest,
  UpdateContainerAgentResponse,
} from "../models/models_0";
export interface UpdateContainerAgentCommandInput
  extends UpdateContainerAgentRequest {}
export interface UpdateContainerAgentCommandOutput
  extends UpdateContainerAgentResponse,
    __MetadataBearer {}
export declare class UpdateContainerAgentCommand extends $Command<
  UpdateContainerAgentCommandInput,
  UpdateContainerAgentCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: UpdateContainerAgentCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateContainerAgentCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateContainerAgentCommandInput,
    UpdateContainerAgentCommandOutput
  >;
  private serialize;
  private deserialize;
}
