import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  UpdateServicePrimaryTaskSetRequest,
  UpdateServicePrimaryTaskSetResponse,
} from "../models/models_0";
export interface UpdateServicePrimaryTaskSetCommandInput
  extends UpdateServicePrimaryTaskSetRequest {}
export interface UpdateServicePrimaryTaskSetCommandOutput
  extends UpdateServicePrimaryTaskSetResponse,
    __MetadataBearer {}
export declare class UpdateServicePrimaryTaskSetCommand extends $Command<
  UpdateServicePrimaryTaskSetCommandInput,
  UpdateServicePrimaryTaskSetCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: UpdateServicePrimaryTaskSetCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateServicePrimaryTaskSetCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateServicePrimaryTaskSetCommandInput,
    UpdateServicePrimaryTaskSetCommandOutput
  >;
  private serialize;
  private deserialize;
}
