import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ECSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ECSClient";
import {
  UpdateTaskSetRequest,
  UpdateTaskSetResponse,
} from "../models/models_0";
export interface UpdateTaskSetCommandInput extends UpdateTaskSetRequest {}
export interface UpdateTaskSetCommandOutput
  extends UpdateTaskSetResponse,
    __MetadataBearer {}
export declare class UpdateTaskSetCommand extends $Command<
  UpdateTaskSetCommandInput,
  UpdateTaskSetCommandOutput,
  ECSClientResolvedConfig
> {
  readonly input: UpdateTaskSetCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateTaskSetCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ECSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<UpdateTaskSetCommandInput, UpdateTaskSetCommandOutput>;
  private serialize;
  private deserialize;
}
