import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import {
  CreateCapacityProviderCommandInput,
  CreateCapacityProviderCommandOutput,
} from "../commands/CreateCapacityProviderCommand";
import {
  CreateClusterCommandInput,
  CreateClusterCommandOutput,
} from "../commands/CreateClusterCommand";
import {
  CreateServiceCommandInput,
  CreateServiceCommandOutput,
} from "../commands/CreateServiceCommand";
import {
  CreateTaskSetCommandInput,
  CreateTaskSetCommandOutput,
} from "../commands/CreateTaskSetCommand";
import {
  DeleteAccountSettingCommandInput,
  DeleteAccountSettingCommandOutput,
} from "../commands/DeleteAccountSettingCommand";
import {
  DeleteAttributesCommandInput,
  DeleteAttributesCommandOutput,
} from "../commands/DeleteAttributesCommand";
import {
  DeleteCapacityProviderCommandInput,
  DeleteCapacityProviderCommandOutput,
} from "../commands/DeleteCapacityProviderCommand";
import {
  DeleteClusterCommandInput,
  DeleteClusterCommandOutput,
} from "../commands/DeleteClusterCommand";
import {
  DeleteServiceCommandInput,
  DeleteServiceCommandOutput,
} from "../commands/DeleteServiceCommand";
import {
  DeleteTaskSetCommandInput,
  DeleteTaskSetCommandOutput,
} from "../commands/DeleteTaskSetCommand";
import {
  DeregisterContainerInstanceCommandInput,
  DeregisterContainerInstanceCommandOutput,
} from "../commands/DeregisterContainerInstanceCommand";
import {
  DeregisterTaskDefinitionCommandInput,
  DeregisterTaskDefinitionCommandOutput,
} from "../commands/DeregisterTaskDefinitionCommand";
import {
  DescribeCapacityProvidersCommandInput,
  DescribeCapacityProvidersCommandOutput,
} from "../commands/DescribeCapacityProvidersCommand";
import {
  DescribeClustersCommandInput,
  DescribeClustersCommandOutput,
} from "../commands/DescribeClustersCommand";
import {
  DescribeContainerInstancesCommandInput,
  DescribeContainerInstancesCommandOutput,
} from "../commands/DescribeContainerInstancesCommand";
import {
  DescribeServicesCommandInput,
  DescribeServicesCommandOutput,
} from "../commands/DescribeServicesCommand";
import {
  DescribeTaskDefinitionCommandInput,
  DescribeTaskDefinitionCommandOutput,
} from "../commands/DescribeTaskDefinitionCommand";
import {
  DescribeTasksCommandInput,
  DescribeTasksCommandOutput,
} from "../commands/DescribeTasksCommand";
import {
  DescribeTaskSetsCommandInput,
  DescribeTaskSetsCommandOutput,
} from "../commands/DescribeTaskSetsCommand";
import {
  DiscoverPollEndpointCommandInput,
  DiscoverPollEndpointCommandOutput,
} from "../commands/DiscoverPollEndpointCommand";
import {
  ExecuteCommandCommandInput,
  ExecuteCommandCommandOutput,
} from "../commands/ExecuteCommandCommand";
import {
  ListAccountSettingsCommandInput,
  ListAccountSettingsCommandOutput,
} from "../commands/ListAccountSettingsCommand";
import {
  ListAttributesCommandInput,
  ListAttributesCommandOutput,
} from "../commands/ListAttributesCommand";
import {
  ListClustersCommandInput,
  ListClustersCommandOutput,
} from "../commands/ListClustersCommand";
import {
  ListContainerInstancesCommandInput,
  ListContainerInstancesCommandOutput,
} from "../commands/ListContainerInstancesCommand";
import {
  ListServicesCommandInput,
  ListServicesCommandOutput,
} from "../commands/ListServicesCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  ListTaskDefinitionFamiliesCommandInput,
  ListTaskDefinitionFamiliesCommandOutput,
} from "../commands/ListTaskDefinitionFamiliesCommand";
import {
  ListTaskDefinitionsCommandInput,
  ListTaskDefinitionsCommandOutput,
} from "../commands/ListTaskDefinitionsCommand";
import {
  ListTasksCommandInput,
  ListTasksCommandOutput,
} from "../commands/ListTasksCommand";
import {
  PutAccountSettingCommandInput,
  PutAccountSettingCommandOutput,
} from "../commands/PutAccountSettingCommand";
import {
  PutAccountSettingDefaultCommandInput,
  PutAccountSettingDefaultCommandOutput,
} from "../commands/PutAccountSettingDefaultCommand";
import {
  PutAttributesCommandInput,
  PutAttributesCommandOutput,
} from "../commands/PutAttributesCommand";
import {
  PutClusterCapacityProvidersCommandInput,
  PutClusterCapacityProvidersCommandOutput,
} from "../commands/PutClusterCapacityProvidersCommand";
import {
  RegisterContainerInstanceCommandInput,
  RegisterContainerInstanceCommandOutput,
} from "../commands/RegisterContainerInstanceCommand";
import {
  RegisterTaskDefinitionCommandInput,
  RegisterTaskDefinitionCommandOutput,
} from "../commands/RegisterTaskDefinitionCommand";
import {
  RunTaskCommandInput,
  RunTaskCommandOutput,
} from "../commands/RunTaskCommand";
import {
  StartTaskCommandInput,
  StartTaskCommandOutput,
} from "../commands/StartTaskCommand";
import {
  StopTaskCommandInput,
  StopTaskCommandOutput,
} from "../commands/StopTaskCommand";
import {
  SubmitAttachmentStateChangesCommandInput,
  SubmitAttachmentStateChangesCommandOutput,
} from "../commands/SubmitAttachmentStateChangesCommand";
import {
  SubmitContainerStateChangeCommandInput,
  SubmitContainerStateChangeCommandOutput,
} from "../commands/SubmitContainerStateChangeCommand";
import {
  SubmitTaskStateChangeCommandInput,
  SubmitTaskStateChangeCommandOutput,
} from "../commands/SubmitTaskStateChangeCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateCapacityProviderCommandInput,
  UpdateCapacityProviderCommandOutput,
} from "../commands/UpdateCapacityProviderCommand";
import {
  UpdateClusterCommandInput,
  UpdateClusterCommandOutput,
} from "../commands/UpdateClusterCommand";
import {
  UpdateClusterSettingsCommandInput,
  UpdateClusterSettingsCommandOutput,
} from "../commands/UpdateClusterSettingsCommand";
import {
  UpdateContainerAgentCommandInput,
  UpdateContainerAgentCommandOutput,
} from "../commands/UpdateContainerAgentCommand";
import {
  UpdateContainerInstancesStateCommandInput,
  UpdateContainerInstancesStateCommandOutput,
} from "../commands/UpdateContainerInstancesStateCommand";
import {
  UpdateServiceCommandInput,
  UpdateServiceCommandOutput,
} from "../commands/UpdateServiceCommand";
import {
  UpdateServicePrimaryTaskSetCommandInput,
  UpdateServicePrimaryTaskSetCommandOutput,
} from "../commands/UpdateServicePrimaryTaskSetCommand";
import {
  UpdateTaskSetCommandInput,
  UpdateTaskSetCommandOutput,
} from "../commands/UpdateTaskSetCommand";
export declare const serializeAws_json1_1CreateCapacityProviderCommand: (
  input: CreateCapacityProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateClusterCommand: (
  input: CreateClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateServiceCommand: (
  input: CreateServiceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateTaskSetCommand: (
  input: CreateTaskSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteAccountSettingCommand: (
  input: DeleteAccountSettingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteAttributesCommand: (
  input: DeleteAttributesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteCapacityProviderCommand: (
  input: DeleteCapacityProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteClusterCommand: (
  input: DeleteClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteServiceCommand: (
  input: DeleteServiceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteTaskSetCommand: (
  input: DeleteTaskSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeregisterContainerInstanceCommand: (
  input: DeregisterContainerInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeregisterTaskDefinitionCommand: (
  input: DeregisterTaskDefinitionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeCapacityProvidersCommand: (
  input: DescribeCapacityProvidersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeClustersCommand: (
  input: DescribeClustersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeContainerInstancesCommand: (
  input: DescribeContainerInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeServicesCommand: (
  input: DescribeServicesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeTaskDefinitionCommand: (
  input: DescribeTaskDefinitionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeTasksCommand: (
  input: DescribeTasksCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeTaskSetsCommand: (
  input: DescribeTaskSetsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DiscoverPollEndpointCommand: (
  input: DiscoverPollEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ExecuteCommandCommand: (
  input: ExecuteCommandCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListAccountSettingsCommand: (
  input: ListAccountSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListAttributesCommand: (
  input: ListAttributesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListClustersCommand: (
  input: ListClustersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListContainerInstancesCommand: (
  input: ListContainerInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListServicesCommand: (
  input: ListServicesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTaskDefinitionFamiliesCommand: (
  input: ListTaskDefinitionFamiliesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTaskDefinitionsCommand: (
  input: ListTaskDefinitionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTasksCommand: (
  input: ListTasksCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1PutAccountSettingCommand: (
  input: PutAccountSettingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1PutAccountSettingDefaultCommand: (
  input: PutAccountSettingDefaultCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1PutAttributesCommand: (
  input: PutAttributesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1PutClusterCapacityProvidersCommand: (
  input: PutClusterCapacityProvidersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1RegisterContainerInstanceCommand: (
  input: RegisterContainerInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1RegisterTaskDefinitionCommand: (
  input: RegisterTaskDefinitionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1RunTaskCommand: (
  input: RunTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StartTaskCommand: (
  input: StartTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StopTaskCommand: (
  input: StopTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1SubmitAttachmentStateChangesCommand: (
  input: SubmitAttachmentStateChangesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1SubmitContainerStateChangeCommand: (
  input: SubmitContainerStateChangeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1SubmitTaskStateChangeCommand: (
  input: SubmitTaskStateChangeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateCapacityProviderCommand: (
  input: UpdateCapacityProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateClusterCommand: (
  input: UpdateClusterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateClusterSettingsCommand: (
  input: UpdateClusterSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateContainerAgentCommand: (
  input: UpdateContainerAgentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateContainerInstancesStateCommand: (
  input: UpdateContainerInstancesStateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateServiceCommand: (
  input: UpdateServiceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateServicePrimaryTaskSetCommand: (
  input: UpdateServicePrimaryTaskSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateTaskSetCommand: (
  input: UpdateTaskSetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const deserializeAws_json1_1CreateCapacityProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateCapacityProviderCommandOutput>;
export declare const deserializeAws_json1_1CreateClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateClusterCommandOutput>;
export declare const deserializeAws_json1_1CreateServiceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateServiceCommandOutput>;
export declare const deserializeAws_json1_1CreateTaskSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateTaskSetCommandOutput>;
export declare const deserializeAws_json1_1DeleteAccountSettingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAccountSettingCommandOutput>;
export declare const deserializeAws_json1_1DeleteAttributesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAttributesCommandOutput>;
export declare const deserializeAws_json1_1DeleteCapacityProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCapacityProviderCommandOutput>;
export declare const deserializeAws_json1_1DeleteClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteClusterCommandOutput>;
export declare const deserializeAws_json1_1DeleteServiceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteServiceCommandOutput>;
export declare const deserializeAws_json1_1DeleteTaskSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteTaskSetCommandOutput>;
export declare const deserializeAws_json1_1DeregisterContainerInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeregisterContainerInstanceCommandOutput>;
export declare const deserializeAws_json1_1DeregisterTaskDefinitionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeregisterTaskDefinitionCommandOutput>;
export declare const deserializeAws_json1_1DescribeCapacityProvidersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeCapacityProvidersCommandOutput>;
export declare const deserializeAws_json1_1DescribeClustersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeClustersCommandOutput>;
export declare const deserializeAws_json1_1DescribeContainerInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeContainerInstancesCommandOutput>;
export declare const deserializeAws_json1_1DescribeServicesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeServicesCommandOutput>;
export declare const deserializeAws_json1_1DescribeTaskDefinitionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeTaskDefinitionCommandOutput>;
export declare const deserializeAws_json1_1DescribeTasksCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeTasksCommandOutput>;
export declare const deserializeAws_json1_1DescribeTaskSetsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeTaskSetsCommandOutput>;
export declare const deserializeAws_json1_1DiscoverPollEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DiscoverPollEndpointCommandOutput>;
export declare const deserializeAws_json1_1ExecuteCommandCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ExecuteCommandCommandOutput>;
export declare const deserializeAws_json1_1ListAccountSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAccountSettingsCommandOutput>;
export declare const deserializeAws_json1_1ListAttributesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAttributesCommandOutput>;
export declare const deserializeAws_json1_1ListClustersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListClustersCommandOutput>;
export declare const deserializeAws_json1_1ListContainerInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListContainerInstancesCommandOutput>;
export declare const deserializeAws_json1_1ListServicesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListServicesCommandOutput>;
export declare const deserializeAws_json1_1ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const deserializeAws_json1_1ListTaskDefinitionFamiliesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTaskDefinitionFamiliesCommandOutput>;
export declare const deserializeAws_json1_1ListTaskDefinitionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTaskDefinitionsCommandOutput>;
export declare const deserializeAws_json1_1ListTasksCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTasksCommandOutput>;
export declare const deserializeAws_json1_1PutAccountSettingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutAccountSettingCommandOutput>;
export declare const deserializeAws_json1_1PutAccountSettingDefaultCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutAccountSettingDefaultCommandOutput>;
export declare const deserializeAws_json1_1PutAttributesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutAttributesCommandOutput>;
export declare const deserializeAws_json1_1PutClusterCapacityProvidersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutClusterCapacityProvidersCommandOutput>;
export declare const deserializeAws_json1_1RegisterContainerInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RegisterContainerInstanceCommandOutput>;
export declare const deserializeAws_json1_1RegisterTaskDefinitionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RegisterTaskDefinitionCommandOutput>;
export declare const deserializeAws_json1_1RunTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RunTaskCommandOutput>;
export declare const deserializeAws_json1_1StartTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartTaskCommandOutput>;
export declare const deserializeAws_json1_1StopTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopTaskCommandOutput>;
export declare const deserializeAws_json1_1SubmitAttachmentStateChangesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SubmitAttachmentStateChangesCommandOutput>;
export declare const deserializeAws_json1_1SubmitContainerStateChangeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SubmitContainerStateChangeCommandOutput>;
export declare const deserializeAws_json1_1SubmitTaskStateChangeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SubmitTaskStateChangeCommandOutput>;
export declare const deserializeAws_json1_1TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const deserializeAws_json1_1UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const deserializeAws_json1_1UpdateCapacityProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateCapacityProviderCommandOutput>;
export declare const deserializeAws_json1_1UpdateClusterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateClusterCommandOutput>;
export declare const deserializeAws_json1_1UpdateClusterSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateClusterSettingsCommandOutput>;
export declare const deserializeAws_json1_1UpdateContainerAgentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateContainerAgentCommandOutput>;
export declare const deserializeAws_json1_1UpdateContainerInstancesStateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateContainerInstancesStateCommandOutput>;
export declare const deserializeAws_json1_1UpdateServiceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateServiceCommandOutput>;
export declare const deserializeAws_json1_1UpdateServicePrimaryTaskSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateServicePrimaryTaskSetCommandOutput>;
export declare const deserializeAws_json1_1UpdateTaskSetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateTaskSetCommandOutput>;
