import { HttpRequest as __HttpRequest } from "@aws-sdk/protocol-http";
import { decorateServiceException as __decorateServiceException, expectBoolean as __expectBoolean, expectInt32 as __expectInt32, expectLong as __expectLong, expectNonNull as __expectNonNull, expectNumber as __expectNumber, expectString as __expectString, limitedParseDouble as __limitedParseDouble, parseEpochTimestamp as __parseEpochTimestamp, serializeFloat as __serializeFloat, throwDefaultError, } from "@aws-sdk/smithy-client";
import { ECSServiceException as __BaseException } from "../models/ECSServiceException";
import { AccessDeniedException, AttributeLimitExceededException, BlockedException, ClientException, ClusterContainsContainerInstancesException, ClusterContainsServicesException, ClusterContainsTasksException, ClusterNotFoundException, InvalidParameterException, LimitExceededException, MissingVersionException, NoUpdateAvailableException, PlatformTaskDefinitionIncompatibilityException, PlatformUnknownException, ResourceInUseException, ResourceNotFoundException, ServerException, ServiceNotActiveException, ServiceNotFoundException, TargetNotConnectedException, TargetNotFoundException, TaskSetNotFoundException, UnsupportedFeatureException, UpdateInProgressException, } from "../models/models_0";
export const serializeAws_json1_1CreateCapacityProviderCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.CreateCapacityProvider",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1CreateCapacityProviderRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1CreateClusterCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.CreateCluster",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1CreateClusterRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1CreateServiceCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.CreateService",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1CreateServiceRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1CreateTaskSetCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.CreateTaskSet",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1CreateTaskSetRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1DeleteAccountSettingCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.DeleteAccountSetting",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1DeleteAccountSettingRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1DeleteAttributesCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.DeleteAttributes",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1DeleteAttributesRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1DeleteCapacityProviderCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.DeleteCapacityProvider",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1DeleteCapacityProviderRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1DeleteClusterCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.DeleteCluster",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1DeleteClusterRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1DeleteServiceCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.DeleteService",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1DeleteServiceRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1DeleteTaskSetCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.DeleteTaskSet",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1DeleteTaskSetRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1DeregisterContainerInstanceCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.DeregisterContainerInstance",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1DeregisterContainerInstanceRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1DeregisterTaskDefinitionCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.DeregisterTaskDefinition",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1DeregisterTaskDefinitionRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1DescribeCapacityProvidersCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.DescribeCapacityProviders",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1DescribeCapacityProvidersRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1DescribeClustersCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.DescribeClusters",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1DescribeClustersRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1DescribeContainerInstancesCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.DescribeContainerInstances",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1DescribeContainerInstancesRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1DescribeServicesCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.DescribeServices",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1DescribeServicesRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1DescribeTaskDefinitionCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.DescribeTaskDefinition",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1DescribeTaskDefinitionRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1DescribeTasksCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.DescribeTasks",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1DescribeTasksRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1DescribeTaskSetsCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.DescribeTaskSets",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1DescribeTaskSetsRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1DiscoverPollEndpointCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.DiscoverPollEndpoint",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1DiscoverPollEndpointRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1ExecuteCommandCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.ExecuteCommand",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1ExecuteCommandRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1ListAccountSettingsCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.ListAccountSettings",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1ListAccountSettingsRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1ListAttributesCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.ListAttributes",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1ListAttributesRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1ListClustersCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.ListClusters",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1ListClustersRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1ListContainerInstancesCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.ListContainerInstances",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1ListContainerInstancesRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1ListServicesCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.ListServices",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1ListServicesRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1ListTagsForResourceCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.ListTagsForResource",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1ListTagsForResourceRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1ListTaskDefinitionFamiliesCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.ListTaskDefinitionFamilies",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1ListTaskDefinitionFamiliesRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1ListTaskDefinitionsCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.ListTaskDefinitions",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1ListTaskDefinitionsRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1ListTasksCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.ListTasks",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1ListTasksRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1PutAccountSettingCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.PutAccountSetting",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1PutAccountSettingRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1PutAccountSettingDefaultCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.PutAccountSettingDefault",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1PutAccountSettingDefaultRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1PutAttributesCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.PutAttributes",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1PutAttributesRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1PutClusterCapacityProvidersCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.PutClusterCapacityProviders",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1PutClusterCapacityProvidersRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1RegisterContainerInstanceCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.RegisterContainerInstance",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1RegisterContainerInstanceRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1RegisterTaskDefinitionCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.RegisterTaskDefinition",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1RegisterTaskDefinitionRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1RunTaskCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.RunTask",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1RunTaskRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1StartTaskCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.StartTask",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1StartTaskRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1StopTaskCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.StopTask",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1StopTaskRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1SubmitAttachmentStateChangesCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.SubmitAttachmentStateChanges",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1SubmitAttachmentStateChangesRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1SubmitContainerStateChangeCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.SubmitContainerStateChange",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1SubmitContainerStateChangeRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1SubmitTaskStateChangeCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.SubmitTaskStateChange",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1SubmitTaskStateChangeRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1TagResourceCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.TagResource",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1TagResourceRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1UntagResourceCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.UntagResource",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1UntagResourceRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1UpdateCapacityProviderCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.UpdateCapacityProvider",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1UpdateCapacityProviderRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1UpdateClusterCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.UpdateCluster",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1UpdateClusterRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1UpdateClusterSettingsCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.UpdateClusterSettings",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1UpdateClusterSettingsRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1UpdateContainerAgentCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.UpdateContainerAgent",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1UpdateContainerAgentRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1UpdateContainerInstancesStateCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.UpdateContainerInstancesState",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1UpdateContainerInstancesStateRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1UpdateServiceCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.UpdateService",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1UpdateServiceRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1UpdateServicePrimaryTaskSetCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.UpdateServicePrimaryTaskSet",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1UpdateServicePrimaryTaskSetRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const serializeAws_json1_1UpdateTaskSetCommand = async (input, context) => {
    const headers = {
        "content-type": "application/x-amz-json-1.1",
        "x-amz-target": "AmazonEC2ContainerServiceV20141113.UpdateTaskSet",
    };
    let body;
    body = JSON.stringify(serializeAws_json1_1UpdateTaskSetRequest(input, context));
    return buildHttpRpcRequest(context, headers, "/", undefined, body);
};
export const deserializeAws_json1_1CreateCapacityProviderCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1CreateCapacityProviderCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1CreateCapacityProviderResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1CreateCapacityProviderCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "LimitExceededException":
        case "com.amazonaws.ecs#LimitExceededException":
            throw await deserializeAws_json1_1LimitExceededExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        case "UpdateInProgressException":
        case "com.amazonaws.ecs#UpdateInProgressException":
            throw await deserializeAws_json1_1UpdateInProgressExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1CreateClusterCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1CreateClusterCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1CreateClusterResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1CreateClusterCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1CreateServiceCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1CreateServiceCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1CreateServiceResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1CreateServiceCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "AccessDeniedException":
        case "com.amazonaws.ecs#AccessDeniedException":
            throw await deserializeAws_json1_1AccessDeniedExceptionResponse(parsedOutput, context);
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "PlatformTaskDefinitionIncompatibilityException":
        case "com.amazonaws.ecs#PlatformTaskDefinitionIncompatibilityException":
            throw await deserializeAws_json1_1PlatformTaskDefinitionIncompatibilityExceptionResponse(parsedOutput, context);
        case "PlatformUnknownException":
        case "com.amazonaws.ecs#PlatformUnknownException":
            throw await deserializeAws_json1_1PlatformUnknownExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        case "UnsupportedFeatureException":
        case "com.amazonaws.ecs#UnsupportedFeatureException":
            throw await deserializeAws_json1_1UnsupportedFeatureExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1CreateTaskSetCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1CreateTaskSetCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1CreateTaskSetResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1CreateTaskSetCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "AccessDeniedException":
        case "com.amazonaws.ecs#AccessDeniedException":
            throw await deserializeAws_json1_1AccessDeniedExceptionResponse(parsedOutput, context);
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "PlatformTaskDefinitionIncompatibilityException":
        case "com.amazonaws.ecs#PlatformTaskDefinitionIncompatibilityException":
            throw await deserializeAws_json1_1PlatformTaskDefinitionIncompatibilityExceptionResponse(parsedOutput, context);
        case "PlatformUnknownException":
        case "com.amazonaws.ecs#PlatformUnknownException":
            throw await deserializeAws_json1_1PlatformUnknownExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        case "ServiceNotActiveException":
        case "com.amazonaws.ecs#ServiceNotActiveException":
            throw await deserializeAws_json1_1ServiceNotActiveExceptionResponse(parsedOutput, context);
        case "ServiceNotFoundException":
        case "com.amazonaws.ecs#ServiceNotFoundException":
            throw await deserializeAws_json1_1ServiceNotFoundExceptionResponse(parsedOutput, context);
        case "UnsupportedFeatureException":
        case "com.amazonaws.ecs#UnsupportedFeatureException":
            throw await deserializeAws_json1_1UnsupportedFeatureExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1DeleteAccountSettingCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1DeleteAccountSettingCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1DeleteAccountSettingResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1DeleteAccountSettingCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1DeleteAttributesCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1DeleteAttributesCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1DeleteAttributesResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1DeleteAttributesCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "TargetNotFoundException":
        case "com.amazonaws.ecs#TargetNotFoundException":
            throw await deserializeAws_json1_1TargetNotFoundExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1DeleteCapacityProviderCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1DeleteCapacityProviderCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1DeleteCapacityProviderResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1DeleteCapacityProviderCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1DeleteClusterCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1DeleteClusterCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1DeleteClusterResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1DeleteClusterCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterContainsContainerInstancesException":
        case "com.amazonaws.ecs#ClusterContainsContainerInstancesException":
            throw await deserializeAws_json1_1ClusterContainsContainerInstancesExceptionResponse(parsedOutput, context);
        case "ClusterContainsServicesException":
        case "com.amazonaws.ecs#ClusterContainsServicesException":
            throw await deserializeAws_json1_1ClusterContainsServicesExceptionResponse(parsedOutput, context);
        case "ClusterContainsTasksException":
        case "com.amazonaws.ecs#ClusterContainsTasksException":
            throw await deserializeAws_json1_1ClusterContainsTasksExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        case "UpdateInProgressException":
        case "com.amazonaws.ecs#UpdateInProgressException":
            throw await deserializeAws_json1_1UpdateInProgressExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1DeleteServiceCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1DeleteServiceCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1DeleteServiceResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1DeleteServiceCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        case "ServiceNotFoundException":
        case "com.amazonaws.ecs#ServiceNotFoundException":
            throw await deserializeAws_json1_1ServiceNotFoundExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1DeleteTaskSetCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1DeleteTaskSetCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1DeleteTaskSetResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1DeleteTaskSetCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "AccessDeniedException":
        case "com.amazonaws.ecs#AccessDeniedException":
            throw await deserializeAws_json1_1AccessDeniedExceptionResponse(parsedOutput, context);
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        case "ServiceNotActiveException":
        case "com.amazonaws.ecs#ServiceNotActiveException":
            throw await deserializeAws_json1_1ServiceNotActiveExceptionResponse(parsedOutput, context);
        case "ServiceNotFoundException":
        case "com.amazonaws.ecs#ServiceNotFoundException":
            throw await deserializeAws_json1_1ServiceNotFoundExceptionResponse(parsedOutput, context);
        case "TaskSetNotFoundException":
        case "com.amazonaws.ecs#TaskSetNotFoundException":
            throw await deserializeAws_json1_1TaskSetNotFoundExceptionResponse(parsedOutput, context);
        case "UnsupportedFeatureException":
        case "com.amazonaws.ecs#UnsupportedFeatureException":
            throw await deserializeAws_json1_1UnsupportedFeatureExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1DeregisterContainerInstanceCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1DeregisterContainerInstanceCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1DeregisterContainerInstanceResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1DeregisterContainerInstanceCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1DeregisterTaskDefinitionCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1DeregisterTaskDefinitionCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1DeregisterTaskDefinitionResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1DeregisterTaskDefinitionCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1DescribeCapacityProvidersCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1DescribeCapacityProvidersCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1DescribeCapacityProvidersResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1DescribeCapacityProvidersCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1DescribeClustersCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1DescribeClustersCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1DescribeClustersResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1DescribeClustersCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1DescribeContainerInstancesCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1DescribeContainerInstancesCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1DescribeContainerInstancesResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1DescribeContainerInstancesCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1DescribeServicesCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1DescribeServicesCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1DescribeServicesResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1DescribeServicesCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1DescribeTaskDefinitionCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1DescribeTaskDefinitionCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1DescribeTaskDefinitionResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1DescribeTaskDefinitionCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1DescribeTasksCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1DescribeTasksCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1DescribeTasksResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1DescribeTasksCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1DescribeTaskSetsCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1DescribeTaskSetsCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1DescribeTaskSetsResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1DescribeTaskSetsCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "AccessDeniedException":
        case "com.amazonaws.ecs#AccessDeniedException":
            throw await deserializeAws_json1_1AccessDeniedExceptionResponse(parsedOutput, context);
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        case "ServiceNotActiveException":
        case "com.amazonaws.ecs#ServiceNotActiveException":
            throw await deserializeAws_json1_1ServiceNotActiveExceptionResponse(parsedOutput, context);
        case "ServiceNotFoundException":
        case "com.amazonaws.ecs#ServiceNotFoundException":
            throw await deserializeAws_json1_1ServiceNotFoundExceptionResponse(parsedOutput, context);
        case "UnsupportedFeatureException":
        case "com.amazonaws.ecs#UnsupportedFeatureException":
            throw await deserializeAws_json1_1UnsupportedFeatureExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1DiscoverPollEndpointCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1DiscoverPollEndpointCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1DiscoverPollEndpointResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1DiscoverPollEndpointCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1ExecuteCommandCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1ExecuteCommandCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1ExecuteCommandResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1ExecuteCommandCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "AccessDeniedException":
        case "com.amazonaws.ecs#AccessDeniedException":
            throw await deserializeAws_json1_1AccessDeniedExceptionResponse(parsedOutput, context);
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        case "TargetNotConnectedException":
        case "com.amazonaws.ecs#TargetNotConnectedException":
            throw await deserializeAws_json1_1TargetNotConnectedExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1ListAccountSettingsCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1ListAccountSettingsCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1ListAccountSettingsResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1ListAccountSettingsCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1ListAttributesCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1ListAttributesCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1ListAttributesResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1ListAttributesCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1ListClustersCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1ListClustersCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1ListClustersResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1ListClustersCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1ListContainerInstancesCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1ListContainerInstancesCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1ListContainerInstancesResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1ListContainerInstancesCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1ListServicesCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1ListServicesCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1ListServicesResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1ListServicesCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1ListTagsForResourceCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1ListTagsForResourceCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1ListTagsForResourceResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1ListTagsForResourceCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1ListTaskDefinitionFamiliesCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1ListTaskDefinitionFamiliesCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1ListTaskDefinitionFamiliesResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1ListTaskDefinitionFamiliesCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1ListTaskDefinitionsCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1ListTaskDefinitionsCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1ListTaskDefinitionsResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1ListTaskDefinitionsCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1ListTasksCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1ListTasksCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1ListTasksResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1ListTasksCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        case "ServiceNotFoundException":
        case "com.amazonaws.ecs#ServiceNotFoundException":
            throw await deserializeAws_json1_1ServiceNotFoundExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1PutAccountSettingCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1PutAccountSettingCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1PutAccountSettingResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1PutAccountSettingCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1PutAccountSettingDefaultCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1PutAccountSettingDefaultCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1PutAccountSettingDefaultResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1PutAccountSettingDefaultCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1PutAttributesCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1PutAttributesCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1PutAttributesResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1PutAttributesCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "AttributeLimitExceededException":
        case "com.amazonaws.ecs#AttributeLimitExceededException":
            throw await deserializeAws_json1_1AttributeLimitExceededExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "TargetNotFoundException":
        case "com.amazonaws.ecs#TargetNotFoundException":
            throw await deserializeAws_json1_1TargetNotFoundExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1PutClusterCapacityProvidersCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1PutClusterCapacityProvidersCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1PutClusterCapacityProvidersResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1PutClusterCapacityProvidersCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ResourceInUseException":
        case "com.amazonaws.ecs#ResourceInUseException":
            throw await deserializeAws_json1_1ResourceInUseExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        case "UpdateInProgressException":
        case "com.amazonaws.ecs#UpdateInProgressException":
            throw await deserializeAws_json1_1UpdateInProgressExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1RegisterContainerInstanceCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1RegisterContainerInstanceCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1RegisterContainerInstanceResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1RegisterContainerInstanceCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1RegisterTaskDefinitionCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1RegisterTaskDefinitionCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1RegisterTaskDefinitionResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1RegisterTaskDefinitionCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1RunTaskCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1RunTaskCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1RunTaskResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1RunTaskCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "AccessDeniedException":
        case "com.amazonaws.ecs#AccessDeniedException":
            throw await deserializeAws_json1_1AccessDeniedExceptionResponse(parsedOutput, context);
        case "BlockedException":
        case "com.amazonaws.ecs#BlockedException":
            throw await deserializeAws_json1_1BlockedExceptionResponse(parsedOutput, context);
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "PlatformTaskDefinitionIncompatibilityException":
        case "com.amazonaws.ecs#PlatformTaskDefinitionIncompatibilityException":
            throw await deserializeAws_json1_1PlatformTaskDefinitionIncompatibilityExceptionResponse(parsedOutput, context);
        case "PlatformUnknownException":
        case "com.amazonaws.ecs#PlatformUnknownException":
            throw await deserializeAws_json1_1PlatformUnknownExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        case "UnsupportedFeatureException":
        case "com.amazonaws.ecs#UnsupportedFeatureException":
            throw await deserializeAws_json1_1UnsupportedFeatureExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1StartTaskCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1StartTaskCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1StartTaskResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1StartTaskCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1StopTaskCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1StopTaskCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1StopTaskResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1StopTaskCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1SubmitAttachmentStateChangesCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1SubmitAttachmentStateChangesCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1SubmitAttachmentStateChangesResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1SubmitAttachmentStateChangesCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "AccessDeniedException":
        case "com.amazonaws.ecs#AccessDeniedException":
            throw await deserializeAws_json1_1AccessDeniedExceptionResponse(parsedOutput, context);
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1SubmitContainerStateChangeCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1SubmitContainerStateChangeCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1SubmitContainerStateChangeResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1SubmitContainerStateChangeCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "AccessDeniedException":
        case "com.amazonaws.ecs#AccessDeniedException":
            throw await deserializeAws_json1_1AccessDeniedExceptionResponse(parsedOutput, context);
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1SubmitTaskStateChangeCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1SubmitTaskStateChangeCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1SubmitTaskStateChangeResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1SubmitTaskStateChangeCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "AccessDeniedException":
        case "com.amazonaws.ecs#AccessDeniedException":
            throw await deserializeAws_json1_1AccessDeniedExceptionResponse(parsedOutput, context);
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1TagResourceCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1TagResourceCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1TagResourceResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1TagResourceCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ResourceNotFoundException":
        case "com.amazonaws.ecs#ResourceNotFoundException":
            throw await deserializeAws_json1_1ResourceNotFoundExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1UntagResourceCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1UntagResourceCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1UntagResourceResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1UntagResourceCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ResourceNotFoundException":
        case "com.amazonaws.ecs#ResourceNotFoundException":
            throw await deserializeAws_json1_1ResourceNotFoundExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1UpdateCapacityProviderCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1UpdateCapacityProviderCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1UpdateCapacityProviderResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1UpdateCapacityProviderCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1UpdateClusterCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1UpdateClusterCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1UpdateClusterResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1UpdateClusterCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1UpdateClusterSettingsCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1UpdateClusterSettingsCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1UpdateClusterSettingsResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1UpdateClusterSettingsCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1UpdateContainerAgentCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1UpdateContainerAgentCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1UpdateContainerAgentResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1UpdateContainerAgentCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "MissingVersionException":
        case "com.amazonaws.ecs#MissingVersionException":
            throw await deserializeAws_json1_1MissingVersionExceptionResponse(parsedOutput, context);
        case "NoUpdateAvailableException":
        case "com.amazonaws.ecs#NoUpdateAvailableException":
            throw await deserializeAws_json1_1NoUpdateAvailableExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        case "UpdateInProgressException":
        case "com.amazonaws.ecs#UpdateInProgressException":
            throw await deserializeAws_json1_1UpdateInProgressExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1UpdateContainerInstancesStateCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1UpdateContainerInstancesStateCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1UpdateContainerInstancesStateResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1UpdateContainerInstancesStateCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1UpdateServiceCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1UpdateServiceCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1UpdateServiceResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1UpdateServiceCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "AccessDeniedException":
        case "com.amazonaws.ecs#AccessDeniedException":
            throw await deserializeAws_json1_1AccessDeniedExceptionResponse(parsedOutput, context);
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "PlatformTaskDefinitionIncompatibilityException":
        case "com.amazonaws.ecs#PlatformTaskDefinitionIncompatibilityException":
            throw await deserializeAws_json1_1PlatformTaskDefinitionIncompatibilityExceptionResponse(parsedOutput, context);
        case "PlatformUnknownException":
        case "com.amazonaws.ecs#PlatformUnknownException":
            throw await deserializeAws_json1_1PlatformUnknownExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        case "ServiceNotActiveException":
        case "com.amazonaws.ecs#ServiceNotActiveException":
            throw await deserializeAws_json1_1ServiceNotActiveExceptionResponse(parsedOutput, context);
        case "ServiceNotFoundException":
        case "com.amazonaws.ecs#ServiceNotFoundException":
            throw await deserializeAws_json1_1ServiceNotFoundExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1UpdateServicePrimaryTaskSetCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1UpdateServicePrimaryTaskSetCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1UpdateServicePrimaryTaskSetResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1UpdateServicePrimaryTaskSetCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "AccessDeniedException":
        case "com.amazonaws.ecs#AccessDeniedException":
            throw await deserializeAws_json1_1AccessDeniedExceptionResponse(parsedOutput, context);
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        case "ServiceNotActiveException":
        case "com.amazonaws.ecs#ServiceNotActiveException":
            throw await deserializeAws_json1_1ServiceNotActiveExceptionResponse(parsedOutput, context);
        case "ServiceNotFoundException":
        case "com.amazonaws.ecs#ServiceNotFoundException":
            throw await deserializeAws_json1_1ServiceNotFoundExceptionResponse(parsedOutput, context);
        case "TaskSetNotFoundException":
        case "com.amazonaws.ecs#TaskSetNotFoundException":
            throw await deserializeAws_json1_1TaskSetNotFoundExceptionResponse(parsedOutput, context);
        case "UnsupportedFeatureException":
        case "com.amazonaws.ecs#UnsupportedFeatureException":
            throw await deserializeAws_json1_1UnsupportedFeatureExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
export const deserializeAws_json1_1UpdateTaskSetCommand = async (output, context) => {
    if (output.statusCode >= 300) {
        return deserializeAws_json1_1UpdateTaskSetCommandError(output, context);
    }
    const data = await parseBody(output.body, context);
    let contents = {};
    contents = deserializeAws_json1_1UpdateTaskSetResponse(data, context);
    const response = {
        $metadata: deserializeMetadata(output),
        ...contents,
    };
    return Promise.resolve(response);
};
const deserializeAws_json1_1UpdateTaskSetCommandError = async (output, context) => {
    const parsedOutput = {
        ...output,
        body: await parseErrorBody(output.body, context),
    };
    const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
    switch (errorCode) {
        case "AccessDeniedException":
        case "com.amazonaws.ecs#AccessDeniedException":
            throw await deserializeAws_json1_1AccessDeniedExceptionResponse(parsedOutput, context);
        case "ClientException":
        case "com.amazonaws.ecs#ClientException":
            throw await deserializeAws_json1_1ClientExceptionResponse(parsedOutput, context);
        case "ClusterNotFoundException":
        case "com.amazonaws.ecs#ClusterNotFoundException":
            throw await deserializeAws_json1_1ClusterNotFoundExceptionResponse(parsedOutput, context);
        case "InvalidParameterException":
        case "com.amazonaws.ecs#InvalidParameterException":
            throw await deserializeAws_json1_1InvalidParameterExceptionResponse(parsedOutput, context);
        case "ServerException":
        case "com.amazonaws.ecs#ServerException":
            throw await deserializeAws_json1_1ServerExceptionResponse(parsedOutput, context);
        case "ServiceNotActiveException":
        case "com.amazonaws.ecs#ServiceNotActiveException":
            throw await deserializeAws_json1_1ServiceNotActiveExceptionResponse(parsedOutput, context);
        case "ServiceNotFoundException":
        case "com.amazonaws.ecs#ServiceNotFoundException":
            throw await deserializeAws_json1_1ServiceNotFoundExceptionResponse(parsedOutput, context);
        case "TaskSetNotFoundException":
        case "com.amazonaws.ecs#TaskSetNotFoundException":
            throw await deserializeAws_json1_1TaskSetNotFoundExceptionResponse(parsedOutput, context);
        case "UnsupportedFeatureException":
        case "com.amazonaws.ecs#UnsupportedFeatureException":
            throw await deserializeAws_json1_1UnsupportedFeatureExceptionResponse(parsedOutput, context);
        default:
            const parsedBody = parsedOutput.body;
            throwDefaultError({
                output,
                parsedBody,
                exceptionCtor: __BaseException,
                errorCode,
            });
    }
};
const deserializeAws_json1_1AccessDeniedExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1AccessDeniedException(body, context);
    const exception = new AccessDeniedException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1AttributeLimitExceededExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1AttributeLimitExceededException(body, context);
    const exception = new AttributeLimitExceededException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1BlockedExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1BlockedException(body, context);
    const exception = new BlockedException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1ClientExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1ClientException(body, context);
    const exception = new ClientException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1ClusterContainsContainerInstancesExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1ClusterContainsContainerInstancesException(body, context);
    const exception = new ClusterContainsContainerInstancesException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1ClusterContainsServicesExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1ClusterContainsServicesException(body, context);
    const exception = new ClusterContainsServicesException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1ClusterContainsTasksExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1ClusterContainsTasksException(body, context);
    const exception = new ClusterContainsTasksException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1ClusterNotFoundExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1ClusterNotFoundException(body, context);
    const exception = new ClusterNotFoundException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1InvalidParameterExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1InvalidParameterException(body, context);
    const exception = new InvalidParameterException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1LimitExceededExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1LimitExceededException(body, context);
    const exception = new LimitExceededException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1MissingVersionExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1MissingVersionException(body, context);
    const exception = new MissingVersionException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1NoUpdateAvailableExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1NoUpdateAvailableException(body, context);
    const exception = new NoUpdateAvailableException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1PlatformTaskDefinitionIncompatibilityExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1PlatformTaskDefinitionIncompatibilityException(body, context);
    const exception = new PlatformTaskDefinitionIncompatibilityException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1PlatformUnknownExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1PlatformUnknownException(body, context);
    const exception = new PlatformUnknownException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1ResourceInUseExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1ResourceInUseException(body, context);
    const exception = new ResourceInUseException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1ResourceNotFoundExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1ResourceNotFoundException(body, context);
    const exception = new ResourceNotFoundException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1ServerExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1ServerException(body, context);
    const exception = new ServerException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1ServiceNotActiveExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1ServiceNotActiveException(body, context);
    const exception = new ServiceNotActiveException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1ServiceNotFoundExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1ServiceNotFoundException(body, context);
    const exception = new ServiceNotFoundException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1TargetNotConnectedExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1TargetNotConnectedException(body, context);
    const exception = new TargetNotConnectedException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1TargetNotFoundExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1TargetNotFoundException(body, context);
    const exception = new TargetNotFoundException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1TaskSetNotFoundExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1TaskSetNotFoundException(body, context);
    const exception = new TaskSetNotFoundException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1UnsupportedFeatureExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1UnsupportedFeatureException(body, context);
    const exception = new UnsupportedFeatureException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const deserializeAws_json1_1UpdateInProgressExceptionResponse = async (parsedOutput, context) => {
    const body = parsedOutput.body;
    const deserialized = deserializeAws_json1_1UpdateInProgressException(body, context);
    const exception = new UpdateInProgressException({
        $metadata: deserializeMetadata(parsedOutput),
        ...deserialized,
    });
    return __decorateServiceException(exception, body);
};
const serializeAws_json1_1AttachmentStateChange = (input, context) => {
    return {
        ...(input.attachmentArn != null && { attachmentArn: input.attachmentArn }),
        ...(input.status != null && { status: input.status }),
    };
};
const serializeAws_json1_1AttachmentStateChanges = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1AttachmentStateChange(entry, context);
    });
};
const serializeAws_json1_1Attribute = (input, context) => {
    return {
        ...(input.name != null && { name: input.name }),
        ...(input.targetId != null && { targetId: input.targetId }),
        ...(input.targetType != null && { targetType: input.targetType }),
        ...(input.value != null && { value: input.value }),
    };
};
const serializeAws_json1_1Attributes = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1Attribute(entry, context);
    });
};
const serializeAws_json1_1AutoScalingGroupProvider = (input, context) => {
    return {
        ...(input.autoScalingGroupArn != null && { autoScalingGroupArn: input.autoScalingGroupArn }),
        ...(input.managedScaling != null && {
            managedScaling: serializeAws_json1_1ManagedScaling(input.managedScaling, context),
        }),
        ...(input.managedTerminationProtection != null && {
            managedTerminationProtection: input.managedTerminationProtection,
        }),
    };
};
const serializeAws_json1_1AutoScalingGroupProviderUpdate = (input, context) => {
    return {
        ...(input.managedScaling != null && {
            managedScaling: serializeAws_json1_1ManagedScaling(input.managedScaling, context),
        }),
        ...(input.managedTerminationProtection != null && {
            managedTerminationProtection: input.managedTerminationProtection,
        }),
    };
};
const serializeAws_json1_1AwsVpcConfiguration = (input, context) => {
    return {
        ...(input.assignPublicIp != null && { assignPublicIp: input.assignPublicIp }),
        ...(input.securityGroups != null && {
            securityGroups: serializeAws_json1_1StringList(input.securityGroups, context),
        }),
        ...(input.subnets != null && { subnets: serializeAws_json1_1StringList(input.subnets, context) }),
    };
};
const serializeAws_json1_1CapacityProviderFieldList = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return entry;
    });
};
const serializeAws_json1_1CapacityProviderStrategy = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1CapacityProviderStrategyItem(entry, context);
    });
};
const serializeAws_json1_1CapacityProviderStrategyItem = (input, context) => {
    return {
        ...(input.base != null && { base: input.base }),
        ...(input.capacityProvider != null && { capacityProvider: input.capacityProvider }),
        ...(input.weight != null && { weight: input.weight }),
    };
};
const serializeAws_json1_1ClusterConfiguration = (input, context) => {
    return {
        ...(input.executeCommandConfiguration != null && {
            executeCommandConfiguration: serializeAws_json1_1ExecuteCommandConfiguration(input.executeCommandConfiguration, context),
        }),
    };
};
const serializeAws_json1_1ClusterFieldList = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return entry;
    });
};
const serializeAws_json1_1ClusterSetting = (input, context) => {
    return {
        ...(input.name != null && { name: input.name }),
        ...(input.value != null && { value: input.value }),
    };
};
const serializeAws_json1_1ClusterSettings = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1ClusterSetting(entry, context);
    });
};
const serializeAws_json1_1CompatibilityList = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return entry;
    });
};
const serializeAws_json1_1ContainerDefinition = (input, context) => {
    return {
        ...(input.command != null && { command: serializeAws_json1_1StringList(input.command, context) }),
        ...(input.cpu != null && { cpu: input.cpu }),
        ...(input.dependsOn != null && { dependsOn: serializeAws_json1_1ContainerDependencies(input.dependsOn, context) }),
        ...(input.disableNetworking != null && { disableNetworking: input.disableNetworking }),
        ...(input.dnsSearchDomains != null && {
            dnsSearchDomains: serializeAws_json1_1StringList(input.dnsSearchDomains, context),
        }),
        ...(input.dnsServers != null && { dnsServers: serializeAws_json1_1StringList(input.dnsServers, context) }),
        ...(input.dockerLabels != null && {
            dockerLabels: serializeAws_json1_1DockerLabelsMap(input.dockerLabels, context),
        }),
        ...(input.dockerSecurityOptions != null && {
            dockerSecurityOptions: serializeAws_json1_1StringList(input.dockerSecurityOptions, context),
        }),
        ...(input.entryPoint != null && { entryPoint: serializeAws_json1_1StringList(input.entryPoint, context) }),
        ...(input.environment != null && {
            environment: serializeAws_json1_1EnvironmentVariables(input.environment, context),
        }),
        ...(input.environmentFiles != null && {
            environmentFiles: serializeAws_json1_1EnvironmentFiles(input.environmentFiles, context),
        }),
        ...(input.essential != null && { essential: input.essential }),
        ...(input.extraHosts != null && { extraHosts: serializeAws_json1_1HostEntryList(input.extraHosts, context) }),
        ...(input.firelensConfiguration != null && {
            firelensConfiguration: serializeAws_json1_1FirelensConfiguration(input.firelensConfiguration, context),
        }),
        ...(input.healthCheck != null && { healthCheck: serializeAws_json1_1HealthCheck(input.healthCheck, context) }),
        ...(input.hostname != null && { hostname: input.hostname }),
        ...(input.image != null && { image: input.image }),
        ...(input.interactive != null && { interactive: input.interactive }),
        ...(input.links != null && { links: serializeAws_json1_1StringList(input.links, context) }),
        ...(input.linuxParameters != null && {
            linuxParameters: serializeAws_json1_1LinuxParameters(input.linuxParameters, context),
        }),
        ...(input.logConfiguration != null && {
            logConfiguration: serializeAws_json1_1LogConfiguration(input.logConfiguration, context),
        }),
        ...(input.memory != null && { memory: input.memory }),
        ...(input.memoryReservation != null && { memoryReservation: input.memoryReservation }),
        ...(input.mountPoints != null && { mountPoints: serializeAws_json1_1MountPointList(input.mountPoints, context) }),
        ...(input.name != null && { name: input.name }),
        ...(input.portMappings != null && {
            portMappings: serializeAws_json1_1PortMappingList(input.portMappings, context),
        }),
        ...(input.privileged != null && { privileged: input.privileged }),
        ...(input.pseudoTerminal != null && { pseudoTerminal: input.pseudoTerminal }),
        ...(input.readonlyRootFilesystem != null && { readonlyRootFilesystem: input.readonlyRootFilesystem }),
        ...(input.repositoryCredentials != null && {
            repositoryCredentials: serializeAws_json1_1RepositoryCredentials(input.repositoryCredentials, context),
        }),
        ...(input.resourceRequirements != null && {
            resourceRequirements: serializeAws_json1_1ResourceRequirements(input.resourceRequirements, context),
        }),
        ...(input.secrets != null && { secrets: serializeAws_json1_1SecretList(input.secrets, context) }),
        ...(input.startTimeout != null && { startTimeout: input.startTimeout }),
        ...(input.stopTimeout != null && { stopTimeout: input.stopTimeout }),
        ...(input.systemControls != null && {
            systemControls: serializeAws_json1_1SystemControls(input.systemControls, context),
        }),
        ...(input.ulimits != null && { ulimits: serializeAws_json1_1UlimitList(input.ulimits, context) }),
        ...(input.user != null && { user: input.user }),
        ...(input.volumesFrom != null && { volumesFrom: serializeAws_json1_1VolumeFromList(input.volumesFrom, context) }),
        ...(input.workingDirectory != null && { workingDirectory: input.workingDirectory }),
    };
};
const serializeAws_json1_1ContainerDefinitions = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1ContainerDefinition(entry, context);
    });
};
const serializeAws_json1_1ContainerDependencies = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1ContainerDependency(entry, context);
    });
};
const serializeAws_json1_1ContainerDependency = (input, context) => {
    return {
        ...(input.condition != null && { condition: input.condition }),
        ...(input.containerName != null && { containerName: input.containerName }),
    };
};
const serializeAws_json1_1ContainerInstanceFieldList = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return entry;
    });
};
const serializeAws_json1_1ContainerOverride = (input, context) => {
    return {
        ...(input.command != null && { command: serializeAws_json1_1StringList(input.command, context) }),
        ...(input.cpu != null && { cpu: input.cpu }),
        ...(input.environment != null && {
            environment: serializeAws_json1_1EnvironmentVariables(input.environment, context),
        }),
        ...(input.environmentFiles != null && {
            environmentFiles: serializeAws_json1_1EnvironmentFiles(input.environmentFiles, context),
        }),
        ...(input.memory != null && { memory: input.memory }),
        ...(input.memoryReservation != null && { memoryReservation: input.memoryReservation }),
        ...(input.name != null && { name: input.name }),
        ...(input.resourceRequirements != null && {
            resourceRequirements: serializeAws_json1_1ResourceRequirements(input.resourceRequirements, context),
        }),
    };
};
const serializeAws_json1_1ContainerOverrides = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1ContainerOverride(entry, context);
    });
};
const serializeAws_json1_1ContainerStateChange = (input, context) => {
    return {
        ...(input.containerName != null && { containerName: input.containerName }),
        ...(input.exitCode != null && { exitCode: input.exitCode }),
        ...(input.imageDigest != null && { imageDigest: input.imageDigest }),
        ...(input.networkBindings != null && {
            networkBindings: serializeAws_json1_1NetworkBindings(input.networkBindings, context),
        }),
        ...(input.reason != null && { reason: input.reason }),
        ...(input.runtimeId != null && { runtimeId: input.runtimeId }),
        ...(input.status != null && { status: input.status }),
    };
};
const serializeAws_json1_1ContainerStateChanges = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1ContainerStateChange(entry, context);
    });
};
const serializeAws_json1_1CreateCapacityProviderRequest = (input, context) => {
    return {
        ...(input.autoScalingGroupProvider != null && {
            autoScalingGroupProvider: serializeAws_json1_1AutoScalingGroupProvider(input.autoScalingGroupProvider, context),
        }),
        ...(input.name != null && { name: input.name }),
        ...(input.tags != null && { tags: serializeAws_json1_1Tags(input.tags, context) }),
    };
};
const serializeAws_json1_1CreateClusterRequest = (input, context) => {
    return {
        ...(input.capacityProviders != null && {
            capacityProviders: serializeAws_json1_1StringList(input.capacityProviders, context),
        }),
        ...(input.clusterName != null && { clusterName: input.clusterName }),
        ...(input.configuration != null && {
            configuration: serializeAws_json1_1ClusterConfiguration(input.configuration, context),
        }),
        ...(input.defaultCapacityProviderStrategy != null && {
            defaultCapacityProviderStrategy: serializeAws_json1_1CapacityProviderStrategy(input.defaultCapacityProviderStrategy, context),
        }),
        ...(input.settings != null && { settings: serializeAws_json1_1ClusterSettings(input.settings, context) }),
        ...(input.tags != null && { tags: serializeAws_json1_1Tags(input.tags, context) }),
    };
};
const serializeAws_json1_1CreateServiceRequest = (input, context) => {
    return {
        ...(input.capacityProviderStrategy != null && {
            capacityProviderStrategy: serializeAws_json1_1CapacityProviderStrategy(input.capacityProviderStrategy, context),
        }),
        ...(input.clientToken != null && { clientToken: input.clientToken }),
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.deploymentConfiguration != null && {
            deploymentConfiguration: serializeAws_json1_1DeploymentConfiguration(input.deploymentConfiguration, context),
        }),
        ...(input.deploymentController != null && {
            deploymentController: serializeAws_json1_1DeploymentController(input.deploymentController, context),
        }),
        ...(input.desiredCount != null && { desiredCount: input.desiredCount }),
        ...(input.enableECSManagedTags != null && { enableECSManagedTags: input.enableECSManagedTags }),
        ...(input.enableExecuteCommand != null && { enableExecuteCommand: input.enableExecuteCommand }),
        ...(input.healthCheckGracePeriodSeconds != null && {
            healthCheckGracePeriodSeconds: input.healthCheckGracePeriodSeconds,
        }),
        ...(input.launchType != null && { launchType: input.launchType }),
        ...(input.loadBalancers != null && {
            loadBalancers: serializeAws_json1_1LoadBalancers(input.loadBalancers, context),
        }),
        ...(input.networkConfiguration != null && {
            networkConfiguration: serializeAws_json1_1NetworkConfiguration(input.networkConfiguration, context),
        }),
        ...(input.placementConstraints != null && {
            placementConstraints: serializeAws_json1_1PlacementConstraints(input.placementConstraints, context),
        }),
        ...(input.placementStrategy != null && {
            placementStrategy: serializeAws_json1_1PlacementStrategies(input.placementStrategy, context),
        }),
        ...(input.platformVersion != null && { platformVersion: input.platformVersion }),
        ...(input.propagateTags != null && { propagateTags: input.propagateTags }),
        ...(input.role != null && { role: input.role }),
        ...(input.schedulingStrategy != null && { schedulingStrategy: input.schedulingStrategy }),
        ...(input.serviceName != null && { serviceName: input.serviceName }),
        ...(input.serviceRegistries != null && {
            serviceRegistries: serializeAws_json1_1ServiceRegistries(input.serviceRegistries, context),
        }),
        ...(input.tags != null && { tags: serializeAws_json1_1Tags(input.tags, context) }),
        ...(input.taskDefinition != null && { taskDefinition: input.taskDefinition }),
    };
};
const serializeAws_json1_1CreateTaskSetRequest = (input, context) => {
    return {
        ...(input.capacityProviderStrategy != null && {
            capacityProviderStrategy: serializeAws_json1_1CapacityProviderStrategy(input.capacityProviderStrategy, context),
        }),
        ...(input.clientToken != null && { clientToken: input.clientToken }),
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.externalId != null && { externalId: input.externalId }),
        ...(input.launchType != null && { launchType: input.launchType }),
        ...(input.loadBalancers != null && {
            loadBalancers: serializeAws_json1_1LoadBalancers(input.loadBalancers, context),
        }),
        ...(input.networkConfiguration != null && {
            networkConfiguration: serializeAws_json1_1NetworkConfiguration(input.networkConfiguration, context),
        }),
        ...(input.platformVersion != null && { platformVersion: input.platformVersion }),
        ...(input.scale != null && { scale: serializeAws_json1_1Scale(input.scale, context) }),
        ...(input.service != null && { service: input.service }),
        ...(input.serviceRegistries != null && {
            serviceRegistries: serializeAws_json1_1ServiceRegistries(input.serviceRegistries, context),
        }),
        ...(input.tags != null && { tags: serializeAws_json1_1Tags(input.tags, context) }),
        ...(input.taskDefinition != null && { taskDefinition: input.taskDefinition }),
    };
};
const serializeAws_json1_1DeleteAccountSettingRequest = (input, context) => {
    return {
        ...(input.name != null && { name: input.name }),
        ...(input.principalArn != null && { principalArn: input.principalArn }),
    };
};
const serializeAws_json1_1DeleteAttributesRequest = (input, context) => {
    return {
        ...(input.attributes != null && { attributes: serializeAws_json1_1Attributes(input.attributes, context) }),
        ...(input.cluster != null && { cluster: input.cluster }),
    };
};
const serializeAws_json1_1DeleteCapacityProviderRequest = (input, context) => {
    return {
        ...(input.capacityProvider != null && { capacityProvider: input.capacityProvider }),
    };
};
const serializeAws_json1_1DeleteClusterRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
    };
};
const serializeAws_json1_1DeleteServiceRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.force != null && { force: input.force }),
        ...(input.service != null && { service: input.service }),
    };
};
const serializeAws_json1_1DeleteTaskSetRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.force != null && { force: input.force }),
        ...(input.service != null && { service: input.service }),
        ...(input.taskSet != null && { taskSet: input.taskSet }),
    };
};
const serializeAws_json1_1DeploymentCircuitBreaker = (input, context) => {
    return {
        ...(input.enable != null && { enable: input.enable }),
        ...(input.rollback != null && { rollback: input.rollback }),
    };
};
const serializeAws_json1_1DeploymentConfiguration = (input, context) => {
    return {
        ...(input.deploymentCircuitBreaker != null && {
            deploymentCircuitBreaker: serializeAws_json1_1DeploymentCircuitBreaker(input.deploymentCircuitBreaker, context),
        }),
        ...(input.maximumPercent != null && { maximumPercent: input.maximumPercent }),
        ...(input.minimumHealthyPercent != null && { minimumHealthyPercent: input.minimumHealthyPercent }),
    };
};
const serializeAws_json1_1DeploymentController = (input, context) => {
    return {
        ...(input.type != null && { type: input.type }),
    };
};
const serializeAws_json1_1DeregisterContainerInstanceRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.containerInstance != null && { containerInstance: input.containerInstance }),
        ...(input.force != null && { force: input.force }),
    };
};
const serializeAws_json1_1DeregisterTaskDefinitionRequest = (input, context) => {
    return {
        ...(input.taskDefinition != null && { taskDefinition: input.taskDefinition }),
    };
};
const serializeAws_json1_1DescribeCapacityProvidersRequest = (input, context) => {
    return {
        ...(input.capacityProviders != null && {
            capacityProviders: serializeAws_json1_1StringList(input.capacityProviders, context),
        }),
        ...(input.include != null && { include: serializeAws_json1_1CapacityProviderFieldList(input.include, context) }),
        ...(input.maxResults != null && { maxResults: input.maxResults }),
        ...(input.nextToken != null && { nextToken: input.nextToken }),
    };
};
const serializeAws_json1_1DescribeClustersRequest = (input, context) => {
    return {
        ...(input.clusters != null && { clusters: serializeAws_json1_1StringList(input.clusters, context) }),
        ...(input.include != null && { include: serializeAws_json1_1ClusterFieldList(input.include, context) }),
    };
};
const serializeAws_json1_1DescribeContainerInstancesRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.containerInstances != null && {
            containerInstances: serializeAws_json1_1StringList(input.containerInstances, context),
        }),
        ...(input.include != null && { include: serializeAws_json1_1ContainerInstanceFieldList(input.include, context) }),
    };
};
const serializeAws_json1_1DescribeServicesRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.include != null && { include: serializeAws_json1_1ServiceFieldList(input.include, context) }),
        ...(input.services != null && { services: serializeAws_json1_1StringList(input.services, context) }),
    };
};
const serializeAws_json1_1DescribeTaskDefinitionRequest = (input, context) => {
    return {
        ...(input.include != null && { include: serializeAws_json1_1TaskDefinitionFieldList(input.include, context) }),
        ...(input.taskDefinition != null && { taskDefinition: input.taskDefinition }),
    };
};
const serializeAws_json1_1DescribeTaskSetsRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.include != null && { include: serializeAws_json1_1TaskSetFieldList(input.include, context) }),
        ...(input.service != null && { service: input.service }),
        ...(input.taskSets != null && { taskSets: serializeAws_json1_1StringList(input.taskSets, context) }),
    };
};
const serializeAws_json1_1DescribeTasksRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.include != null && { include: serializeAws_json1_1TaskFieldList(input.include, context) }),
        ...(input.tasks != null && { tasks: serializeAws_json1_1StringList(input.tasks, context) }),
    };
};
const serializeAws_json1_1Device = (input, context) => {
    return {
        ...(input.containerPath != null && { containerPath: input.containerPath }),
        ...(input.hostPath != null && { hostPath: input.hostPath }),
        ...(input.permissions != null && {
            permissions: serializeAws_json1_1DeviceCgroupPermissions(input.permissions, context),
        }),
    };
};
const serializeAws_json1_1DeviceCgroupPermissions = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return entry;
    });
};
const serializeAws_json1_1DevicesList = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1Device(entry, context);
    });
};
const serializeAws_json1_1DiscoverPollEndpointRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.containerInstance != null && { containerInstance: input.containerInstance }),
    };
};
const serializeAws_json1_1DockerLabelsMap = (input, context) => {
    return Object.entries(input).reduce((acc, [key, value]) => {
        if (value === null) {
            return acc;
        }
        return {
            ...acc,
            [key]: value,
        };
    }, {});
};
const serializeAws_json1_1DockerVolumeConfiguration = (input, context) => {
    return {
        ...(input.autoprovision != null && { autoprovision: input.autoprovision }),
        ...(input.driver != null && { driver: input.driver }),
        ...(input.driverOpts != null && { driverOpts: serializeAws_json1_1StringMap(input.driverOpts, context) }),
        ...(input.labels != null && { labels: serializeAws_json1_1StringMap(input.labels, context) }),
        ...(input.scope != null && { scope: input.scope }),
    };
};
const serializeAws_json1_1EFSAuthorizationConfig = (input, context) => {
    return {
        ...(input.accessPointId != null && { accessPointId: input.accessPointId }),
        ...(input.iam != null && { iam: input.iam }),
    };
};
const serializeAws_json1_1EFSVolumeConfiguration = (input, context) => {
    return {
        ...(input.authorizationConfig != null && {
            authorizationConfig: serializeAws_json1_1EFSAuthorizationConfig(input.authorizationConfig, context),
        }),
        ...(input.fileSystemId != null && { fileSystemId: input.fileSystemId }),
        ...(input.rootDirectory != null && { rootDirectory: input.rootDirectory }),
        ...(input.transitEncryption != null && { transitEncryption: input.transitEncryption }),
        ...(input.transitEncryptionPort != null && { transitEncryptionPort: input.transitEncryptionPort }),
    };
};
const serializeAws_json1_1EnvironmentFile = (input, context) => {
    return {
        ...(input.type != null && { type: input.type }),
        ...(input.value != null && { value: input.value }),
    };
};
const serializeAws_json1_1EnvironmentFiles = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1EnvironmentFile(entry, context);
    });
};
const serializeAws_json1_1EnvironmentVariables = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1KeyValuePair(entry, context);
    });
};
const serializeAws_json1_1EphemeralStorage = (input, context) => {
    return {
        ...(input.sizeInGiB != null && { sizeInGiB: input.sizeInGiB }),
    };
};
const serializeAws_json1_1ExecuteCommandConfiguration = (input, context) => {
    return {
        ...(input.kmsKeyId != null && { kmsKeyId: input.kmsKeyId }),
        ...(input.logConfiguration != null && {
            logConfiguration: serializeAws_json1_1ExecuteCommandLogConfiguration(input.logConfiguration, context),
        }),
        ...(input.logging != null && { logging: input.logging }),
    };
};
const serializeAws_json1_1ExecuteCommandLogConfiguration = (input, context) => {
    return {
        ...(input.cloudWatchEncryptionEnabled != null && {
            cloudWatchEncryptionEnabled: input.cloudWatchEncryptionEnabled,
        }),
        ...(input.cloudWatchLogGroupName != null && { cloudWatchLogGroupName: input.cloudWatchLogGroupName }),
        ...(input.s3BucketName != null && { s3BucketName: input.s3BucketName }),
        ...(input.s3EncryptionEnabled != null && { s3EncryptionEnabled: input.s3EncryptionEnabled }),
        ...(input.s3KeyPrefix != null && { s3KeyPrefix: input.s3KeyPrefix }),
    };
};
const serializeAws_json1_1ExecuteCommandRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.command != null && { command: input.command }),
        ...(input.container != null && { container: input.container }),
        ...(input.interactive != null && { interactive: input.interactive }),
        ...(input.task != null && { task: input.task }),
    };
};
const serializeAws_json1_1FirelensConfiguration = (input, context) => {
    return {
        ...(input.options != null && {
            options: serializeAws_json1_1FirelensConfigurationOptionsMap(input.options, context),
        }),
        ...(input.type != null && { type: input.type }),
    };
};
const serializeAws_json1_1FirelensConfigurationOptionsMap = (input, context) => {
    return Object.entries(input).reduce((acc, [key, value]) => {
        if (value === null) {
            return acc;
        }
        return {
            ...acc,
            [key]: value,
        };
    }, {});
};
const serializeAws_json1_1FSxWindowsFileServerAuthorizationConfig = (input, context) => {
    return {
        ...(input.credentialsParameter != null && { credentialsParameter: input.credentialsParameter }),
        ...(input.domain != null && { domain: input.domain }),
    };
};
const serializeAws_json1_1FSxWindowsFileServerVolumeConfiguration = (input, context) => {
    return {
        ...(input.authorizationConfig != null && {
            authorizationConfig: serializeAws_json1_1FSxWindowsFileServerAuthorizationConfig(input.authorizationConfig, context),
        }),
        ...(input.fileSystemId != null && { fileSystemId: input.fileSystemId }),
        ...(input.rootDirectory != null && { rootDirectory: input.rootDirectory }),
    };
};
const serializeAws_json1_1HealthCheck = (input, context) => {
    return {
        ...(input.command != null && { command: serializeAws_json1_1StringList(input.command, context) }),
        ...(input.interval != null && { interval: input.interval }),
        ...(input.retries != null && { retries: input.retries }),
        ...(input.startPeriod != null && { startPeriod: input.startPeriod }),
        ...(input.timeout != null && { timeout: input.timeout }),
    };
};
const serializeAws_json1_1HostEntry = (input, context) => {
    return {
        ...(input.hostname != null && { hostname: input.hostname }),
        ...(input.ipAddress != null && { ipAddress: input.ipAddress }),
    };
};
const serializeAws_json1_1HostEntryList = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1HostEntry(entry, context);
    });
};
const serializeAws_json1_1HostVolumeProperties = (input, context) => {
    return {
        ...(input.sourcePath != null && { sourcePath: input.sourcePath }),
    };
};
const serializeAws_json1_1InferenceAccelerator = (input, context) => {
    return {
        ...(input.deviceName != null && { deviceName: input.deviceName }),
        ...(input.deviceType != null && { deviceType: input.deviceType }),
    };
};
const serializeAws_json1_1InferenceAcceleratorOverride = (input, context) => {
    return {
        ...(input.deviceName != null && { deviceName: input.deviceName }),
        ...(input.deviceType != null && { deviceType: input.deviceType }),
    };
};
const serializeAws_json1_1InferenceAcceleratorOverrides = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1InferenceAcceleratorOverride(entry, context);
    });
};
const serializeAws_json1_1InferenceAccelerators = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1InferenceAccelerator(entry, context);
    });
};
const serializeAws_json1_1KernelCapabilities = (input, context) => {
    return {
        ...(input.add != null && { add: serializeAws_json1_1StringList(input.add, context) }),
        ...(input.drop != null && { drop: serializeAws_json1_1StringList(input.drop, context) }),
    };
};
const serializeAws_json1_1KeyValuePair = (input, context) => {
    return {
        ...(input.name != null && { name: input.name }),
        ...(input.value != null && { value: input.value }),
    };
};
const serializeAws_json1_1LinuxParameters = (input, context) => {
    return {
        ...(input.capabilities != null && {
            capabilities: serializeAws_json1_1KernelCapabilities(input.capabilities, context),
        }),
        ...(input.devices != null && { devices: serializeAws_json1_1DevicesList(input.devices, context) }),
        ...(input.initProcessEnabled != null && { initProcessEnabled: input.initProcessEnabled }),
        ...(input.maxSwap != null && { maxSwap: input.maxSwap }),
        ...(input.sharedMemorySize != null && { sharedMemorySize: input.sharedMemorySize }),
        ...(input.swappiness != null && { swappiness: input.swappiness }),
        ...(input.tmpfs != null && { tmpfs: serializeAws_json1_1TmpfsList(input.tmpfs, context) }),
    };
};
const serializeAws_json1_1ListAccountSettingsRequest = (input, context) => {
    return {
        ...(input.effectiveSettings != null && { effectiveSettings: input.effectiveSettings }),
        ...(input.maxResults != null && { maxResults: input.maxResults }),
        ...(input.name != null && { name: input.name }),
        ...(input.nextToken != null && { nextToken: input.nextToken }),
        ...(input.principalArn != null && { principalArn: input.principalArn }),
        ...(input.value != null && { value: input.value }),
    };
};
const serializeAws_json1_1ListAttributesRequest = (input, context) => {
    return {
        ...(input.attributeName != null && { attributeName: input.attributeName }),
        ...(input.attributeValue != null && { attributeValue: input.attributeValue }),
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.maxResults != null && { maxResults: input.maxResults }),
        ...(input.nextToken != null && { nextToken: input.nextToken }),
        ...(input.targetType != null && { targetType: input.targetType }),
    };
};
const serializeAws_json1_1ListClustersRequest = (input, context) => {
    return {
        ...(input.maxResults != null && { maxResults: input.maxResults }),
        ...(input.nextToken != null && { nextToken: input.nextToken }),
    };
};
const serializeAws_json1_1ListContainerInstancesRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.filter != null && { filter: input.filter }),
        ...(input.maxResults != null && { maxResults: input.maxResults }),
        ...(input.nextToken != null && { nextToken: input.nextToken }),
        ...(input.status != null && { status: input.status }),
    };
};
const serializeAws_json1_1ListServicesRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.launchType != null && { launchType: input.launchType }),
        ...(input.maxResults != null && { maxResults: input.maxResults }),
        ...(input.nextToken != null && { nextToken: input.nextToken }),
        ...(input.schedulingStrategy != null && { schedulingStrategy: input.schedulingStrategy }),
    };
};
const serializeAws_json1_1ListTagsForResourceRequest = (input, context) => {
    return {
        ...(input.resourceArn != null && { resourceArn: input.resourceArn }),
    };
};
const serializeAws_json1_1ListTaskDefinitionFamiliesRequest = (input, context) => {
    return {
        ...(input.familyPrefix != null && { familyPrefix: input.familyPrefix }),
        ...(input.maxResults != null && { maxResults: input.maxResults }),
        ...(input.nextToken != null && { nextToken: input.nextToken }),
        ...(input.status != null && { status: input.status }),
    };
};
const serializeAws_json1_1ListTaskDefinitionsRequest = (input, context) => {
    return {
        ...(input.familyPrefix != null && { familyPrefix: input.familyPrefix }),
        ...(input.maxResults != null && { maxResults: input.maxResults }),
        ...(input.nextToken != null && { nextToken: input.nextToken }),
        ...(input.sort != null && { sort: input.sort }),
        ...(input.status != null && { status: input.status }),
    };
};
const serializeAws_json1_1ListTasksRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.containerInstance != null && { containerInstance: input.containerInstance }),
        ...(input.desiredStatus != null && { desiredStatus: input.desiredStatus }),
        ...(input.family != null && { family: input.family }),
        ...(input.launchType != null && { launchType: input.launchType }),
        ...(input.maxResults != null && { maxResults: input.maxResults }),
        ...(input.nextToken != null && { nextToken: input.nextToken }),
        ...(input.serviceName != null && { serviceName: input.serviceName }),
        ...(input.startedBy != null && { startedBy: input.startedBy }),
    };
};
const serializeAws_json1_1LoadBalancer = (input, context) => {
    return {
        ...(input.containerName != null && { containerName: input.containerName }),
        ...(input.containerPort != null && { containerPort: input.containerPort }),
        ...(input.loadBalancerName != null && { loadBalancerName: input.loadBalancerName }),
        ...(input.targetGroupArn != null && { targetGroupArn: input.targetGroupArn }),
    };
};
const serializeAws_json1_1LoadBalancers = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1LoadBalancer(entry, context);
    });
};
const serializeAws_json1_1LogConfiguration = (input, context) => {
    return {
        ...(input.logDriver != null && { logDriver: input.logDriver }),
        ...(input.options != null && { options: serializeAws_json1_1LogConfigurationOptionsMap(input.options, context) }),
        ...(input.secretOptions != null && { secretOptions: serializeAws_json1_1SecretList(input.secretOptions, context) }),
    };
};
const serializeAws_json1_1LogConfigurationOptionsMap = (input, context) => {
    return Object.entries(input).reduce((acc, [key, value]) => {
        if (value === null) {
            return acc;
        }
        return {
            ...acc,
            [key]: value,
        };
    }, {});
};
const serializeAws_json1_1ManagedAgentStateChange = (input, context) => {
    return {
        ...(input.containerName != null && { containerName: input.containerName }),
        ...(input.managedAgentName != null && { managedAgentName: input.managedAgentName }),
        ...(input.reason != null && { reason: input.reason }),
        ...(input.status != null && { status: input.status }),
    };
};
const serializeAws_json1_1ManagedAgentStateChanges = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1ManagedAgentStateChange(entry, context);
    });
};
const serializeAws_json1_1ManagedScaling = (input, context) => {
    return {
        ...(input.instanceWarmupPeriod != null && { instanceWarmupPeriod: input.instanceWarmupPeriod }),
        ...(input.maximumScalingStepSize != null && { maximumScalingStepSize: input.maximumScalingStepSize }),
        ...(input.minimumScalingStepSize != null && { minimumScalingStepSize: input.minimumScalingStepSize }),
        ...(input.status != null && { status: input.status }),
        ...(input.targetCapacity != null && { targetCapacity: input.targetCapacity }),
    };
};
const serializeAws_json1_1MountPoint = (input, context) => {
    return {
        ...(input.containerPath != null && { containerPath: input.containerPath }),
        ...(input.readOnly != null && { readOnly: input.readOnly }),
        ...(input.sourceVolume != null && { sourceVolume: input.sourceVolume }),
    };
};
const serializeAws_json1_1MountPointList = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1MountPoint(entry, context);
    });
};
const serializeAws_json1_1NetworkBinding = (input, context) => {
    return {
        ...(input.bindIP != null && { bindIP: input.bindIP }),
        ...(input.containerPort != null && { containerPort: input.containerPort }),
        ...(input.hostPort != null && { hostPort: input.hostPort }),
        ...(input.protocol != null && { protocol: input.protocol }),
    };
};
const serializeAws_json1_1NetworkBindings = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1NetworkBinding(entry, context);
    });
};
const serializeAws_json1_1NetworkConfiguration = (input, context) => {
    return {
        ...(input.awsvpcConfiguration != null && {
            awsvpcConfiguration: serializeAws_json1_1AwsVpcConfiguration(input.awsvpcConfiguration, context),
        }),
    };
};
const serializeAws_json1_1PlacementConstraint = (input, context) => {
    return {
        ...(input.expression != null && { expression: input.expression }),
        ...(input.type != null && { type: input.type }),
    };
};
const serializeAws_json1_1PlacementConstraints = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1PlacementConstraint(entry, context);
    });
};
const serializeAws_json1_1PlacementStrategies = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1PlacementStrategy(entry, context);
    });
};
const serializeAws_json1_1PlacementStrategy = (input, context) => {
    return {
        ...(input.field != null && { field: input.field }),
        ...(input.type != null && { type: input.type }),
    };
};
const serializeAws_json1_1PlatformDevice = (input, context) => {
    return {
        ...(input.id != null && { id: input.id }),
        ...(input.type != null && { type: input.type }),
    };
};
const serializeAws_json1_1PlatformDevices = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1PlatformDevice(entry, context);
    });
};
const serializeAws_json1_1PortMapping = (input, context) => {
    return {
        ...(input.containerPort != null && { containerPort: input.containerPort }),
        ...(input.hostPort != null && { hostPort: input.hostPort }),
        ...(input.protocol != null && { protocol: input.protocol }),
    };
};
const serializeAws_json1_1PortMappingList = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1PortMapping(entry, context);
    });
};
const serializeAws_json1_1ProxyConfiguration = (input, context) => {
    return {
        ...(input.containerName != null && { containerName: input.containerName }),
        ...(input.properties != null && {
            properties: serializeAws_json1_1ProxyConfigurationProperties(input.properties, context),
        }),
        ...(input.type != null && { type: input.type }),
    };
};
const serializeAws_json1_1ProxyConfigurationProperties = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1KeyValuePair(entry, context);
    });
};
const serializeAws_json1_1PutAccountSettingDefaultRequest = (input, context) => {
    return {
        ...(input.name != null && { name: input.name }),
        ...(input.value != null && { value: input.value }),
    };
};
const serializeAws_json1_1PutAccountSettingRequest = (input, context) => {
    return {
        ...(input.name != null && { name: input.name }),
        ...(input.principalArn != null && { principalArn: input.principalArn }),
        ...(input.value != null && { value: input.value }),
    };
};
const serializeAws_json1_1PutAttributesRequest = (input, context) => {
    return {
        ...(input.attributes != null && { attributes: serializeAws_json1_1Attributes(input.attributes, context) }),
        ...(input.cluster != null && { cluster: input.cluster }),
    };
};
const serializeAws_json1_1PutClusterCapacityProvidersRequest = (input, context) => {
    return {
        ...(input.capacityProviders != null && {
            capacityProviders: serializeAws_json1_1StringList(input.capacityProviders, context),
        }),
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.defaultCapacityProviderStrategy != null && {
            defaultCapacityProviderStrategy: serializeAws_json1_1CapacityProviderStrategy(input.defaultCapacityProviderStrategy, context),
        }),
    };
};
const serializeAws_json1_1RegisterContainerInstanceRequest = (input, context) => {
    return {
        ...(input.attributes != null && { attributes: serializeAws_json1_1Attributes(input.attributes, context) }),
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.containerInstanceArn != null && { containerInstanceArn: input.containerInstanceArn }),
        ...(input.instanceIdentityDocument != null && { instanceIdentityDocument: input.instanceIdentityDocument }),
        ...(input.instanceIdentityDocumentSignature != null && {
            instanceIdentityDocumentSignature: input.instanceIdentityDocumentSignature,
        }),
        ...(input.platformDevices != null && {
            platformDevices: serializeAws_json1_1PlatformDevices(input.platformDevices, context),
        }),
        ...(input.tags != null && { tags: serializeAws_json1_1Tags(input.tags, context) }),
        ...(input.totalResources != null && {
            totalResources: serializeAws_json1_1Resources(input.totalResources, context),
        }),
        ...(input.versionInfo != null && { versionInfo: serializeAws_json1_1VersionInfo(input.versionInfo, context) }),
    };
};
const serializeAws_json1_1RegisterTaskDefinitionRequest = (input, context) => {
    return {
        ...(input.containerDefinitions != null && {
            containerDefinitions: serializeAws_json1_1ContainerDefinitions(input.containerDefinitions, context),
        }),
        ...(input.cpu != null && { cpu: input.cpu }),
        ...(input.ephemeralStorage != null && {
            ephemeralStorage: serializeAws_json1_1EphemeralStorage(input.ephemeralStorage, context),
        }),
        ...(input.executionRoleArn != null && { executionRoleArn: input.executionRoleArn }),
        ...(input.family != null && { family: input.family }),
        ...(input.inferenceAccelerators != null && {
            inferenceAccelerators: serializeAws_json1_1InferenceAccelerators(input.inferenceAccelerators, context),
        }),
        ...(input.ipcMode != null && { ipcMode: input.ipcMode }),
        ...(input.memory != null && { memory: input.memory }),
        ...(input.networkMode != null && { networkMode: input.networkMode }),
        ...(input.pidMode != null && { pidMode: input.pidMode }),
        ...(input.placementConstraints != null && {
            placementConstraints: serializeAws_json1_1TaskDefinitionPlacementConstraints(input.placementConstraints, context),
        }),
        ...(input.proxyConfiguration != null && {
            proxyConfiguration: serializeAws_json1_1ProxyConfiguration(input.proxyConfiguration, context),
        }),
        ...(input.requiresCompatibilities != null && {
            requiresCompatibilities: serializeAws_json1_1CompatibilityList(input.requiresCompatibilities, context),
        }),
        ...(input.runtimePlatform != null && {
            runtimePlatform: serializeAws_json1_1RuntimePlatform(input.runtimePlatform, context),
        }),
        ...(input.tags != null && { tags: serializeAws_json1_1Tags(input.tags, context) }),
        ...(input.taskRoleArn != null && { taskRoleArn: input.taskRoleArn }),
        ...(input.volumes != null && { volumes: serializeAws_json1_1VolumeList(input.volumes, context) }),
    };
};
const serializeAws_json1_1RepositoryCredentials = (input, context) => {
    return {
        ...(input.credentialsParameter != null && { credentialsParameter: input.credentialsParameter }),
    };
};
const serializeAws_json1_1Resource = (input, context) => {
    return {
        ...(input.doubleValue != null && { doubleValue: __serializeFloat(input.doubleValue) }),
        ...(input.integerValue != null && { integerValue: input.integerValue }),
        ...(input.longValue != null && { longValue: input.longValue }),
        ...(input.name != null && { name: input.name }),
        ...(input.stringSetValue != null && {
            stringSetValue: serializeAws_json1_1StringList(input.stringSetValue, context),
        }),
        ...(input.type != null && { type: input.type }),
    };
};
const serializeAws_json1_1ResourceRequirement = (input, context) => {
    return {
        ...(input.type != null && { type: input.type }),
        ...(input.value != null && { value: input.value }),
    };
};
const serializeAws_json1_1ResourceRequirements = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1ResourceRequirement(entry, context);
    });
};
const serializeAws_json1_1Resources = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1Resource(entry, context);
    });
};
const serializeAws_json1_1RunTaskRequest = (input, context) => {
    return {
        ...(input.capacityProviderStrategy != null && {
            capacityProviderStrategy: serializeAws_json1_1CapacityProviderStrategy(input.capacityProviderStrategy, context),
        }),
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.count != null && { count: input.count }),
        ...(input.enableECSManagedTags != null && { enableECSManagedTags: input.enableECSManagedTags }),
        ...(input.enableExecuteCommand != null && { enableExecuteCommand: input.enableExecuteCommand }),
        ...(input.group != null && { group: input.group }),
        ...(input.launchType != null && { launchType: input.launchType }),
        ...(input.networkConfiguration != null && {
            networkConfiguration: serializeAws_json1_1NetworkConfiguration(input.networkConfiguration, context),
        }),
        ...(input.overrides != null && { overrides: serializeAws_json1_1TaskOverride(input.overrides, context) }),
        ...(input.placementConstraints != null && {
            placementConstraints: serializeAws_json1_1PlacementConstraints(input.placementConstraints, context),
        }),
        ...(input.placementStrategy != null && {
            placementStrategy: serializeAws_json1_1PlacementStrategies(input.placementStrategy, context),
        }),
        ...(input.platformVersion != null && { platformVersion: input.platformVersion }),
        ...(input.propagateTags != null && { propagateTags: input.propagateTags }),
        ...(input.referenceId != null && { referenceId: input.referenceId }),
        ...(input.startedBy != null && { startedBy: input.startedBy }),
        ...(input.tags != null && { tags: serializeAws_json1_1Tags(input.tags, context) }),
        ...(input.taskDefinition != null && { taskDefinition: input.taskDefinition }),
    };
};
const serializeAws_json1_1RuntimePlatform = (input, context) => {
    return {
        ...(input.cpuArchitecture != null && { cpuArchitecture: input.cpuArchitecture }),
        ...(input.operatingSystemFamily != null && { operatingSystemFamily: input.operatingSystemFamily }),
    };
};
const serializeAws_json1_1Scale = (input, context) => {
    return {
        ...(input.unit != null && { unit: input.unit }),
        ...(input.value != null && { value: __serializeFloat(input.value) }),
    };
};
const serializeAws_json1_1Secret = (input, context) => {
    return {
        ...(input.name != null && { name: input.name }),
        ...(input.valueFrom != null && { valueFrom: input.valueFrom }),
    };
};
const serializeAws_json1_1SecretList = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1Secret(entry, context);
    });
};
const serializeAws_json1_1ServiceFieldList = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return entry;
    });
};
const serializeAws_json1_1ServiceRegistries = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1ServiceRegistry(entry, context);
    });
};
const serializeAws_json1_1ServiceRegistry = (input, context) => {
    return {
        ...(input.containerName != null && { containerName: input.containerName }),
        ...(input.containerPort != null && { containerPort: input.containerPort }),
        ...(input.port != null && { port: input.port }),
        ...(input.registryArn != null && { registryArn: input.registryArn }),
    };
};
const serializeAws_json1_1StartTaskRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.containerInstances != null && {
            containerInstances: serializeAws_json1_1StringList(input.containerInstances, context),
        }),
        ...(input.enableECSManagedTags != null && { enableECSManagedTags: input.enableECSManagedTags }),
        ...(input.enableExecuteCommand != null && { enableExecuteCommand: input.enableExecuteCommand }),
        ...(input.group != null && { group: input.group }),
        ...(input.networkConfiguration != null && {
            networkConfiguration: serializeAws_json1_1NetworkConfiguration(input.networkConfiguration, context),
        }),
        ...(input.overrides != null && { overrides: serializeAws_json1_1TaskOverride(input.overrides, context) }),
        ...(input.propagateTags != null && { propagateTags: input.propagateTags }),
        ...(input.referenceId != null && { referenceId: input.referenceId }),
        ...(input.startedBy != null && { startedBy: input.startedBy }),
        ...(input.tags != null && { tags: serializeAws_json1_1Tags(input.tags, context) }),
        ...(input.taskDefinition != null && { taskDefinition: input.taskDefinition }),
    };
};
const serializeAws_json1_1StopTaskRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.reason != null && { reason: input.reason }),
        ...(input.task != null && { task: input.task }),
    };
};
const serializeAws_json1_1StringList = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return entry;
    });
};
const serializeAws_json1_1StringMap = (input, context) => {
    return Object.entries(input).reduce((acc, [key, value]) => {
        if (value === null) {
            return acc;
        }
        return {
            ...acc,
            [key]: value,
        };
    }, {});
};
const serializeAws_json1_1SubmitAttachmentStateChangesRequest = (input, context) => {
    return {
        ...(input.attachments != null && {
            attachments: serializeAws_json1_1AttachmentStateChanges(input.attachments, context),
        }),
        ...(input.cluster != null && { cluster: input.cluster }),
    };
};
const serializeAws_json1_1SubmitContainerStateChangeRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.containerName != null && { containerName: input.containerName }),
        ...(input.exitCode != null && { exitCode: input.exitCode }),
        ...(input.networkBindings != null && {
            networkBindings: serializeAws_json1_1NetworkBindings(input.networkBindings, context),
        }),
        ...(input.reason != null && { reason: input.reason }),
        ...(input.runtimeId != null && { runtimeId: input.runtimeId }),
        ...(input.status != null && { status: input.status }),
        ...(input.task != null && { task: input.task }),
    };
};
const serializeAws_json1_1SubmitTaskStateChangeRequest = (input, context) => {
    return {
        ...(input.attachments != null && {
            attachments: serializeAws_json1_1AttachmentStateChanges(input.attachments, context),
        }),
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.containers != null && {
            containers: serializeAws_json1_1ContainerStateChanges(input.containers, context),
        }),
        ...(input.executionStoppedAt != null && {
            executionStoppedAt: Math.round(input.executionStoppedAt.getTime() / 1000),
        }),
        ...(input.managedAgents != null && {
            managedAgents: serializeAws_json1_1ManagedAgentStateChanges(input.managedAgents, context),
        }),
        ...(input.pullStartedAt != null && { pullStartedAt: Math.round(input.pullStartedAt.getTime() / 1000) }),
        ...(input.pullStoppedAt != null && { pullStoppedAt: Math.round(input.pullStoppedAt.getTime() / 1000) }),
        ...(input.reason != null && { reason: input.reason }),
        ...(input.status != null && { status: input.status }),
        ...(input.task != null && { task: input.task }),
    };
};
const serializeAws_json1_1SystemControl = (input, context) => {
    return {
        ...(input.namespace != null && { namespace: input.namespace }),
        ...(input.value != null && { value: input.value }),
    };
};
const serializeAws_json1_1SystemControls = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1SystemControl(entry, context);
    });
};
const serializeAws_json1_1Tag = (input, context) => {
    return {
        ...(input.key != null && { key: input.key }),
        ...(input.value != null && { value: input.value }),
    };
};
const serializeAws_json1_1TagKeys = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return entry;
    });
};
const serializeAws_json1_1TagResourceRequest = (input, context) => {
    return {
        ...(input.resourceArn != null && { resourceArn: input.resourceArn }),
        ...(input.tags != null && { tags: serializeAws_json1_1Tags(input.tags, context) }),
    };
};
const serializeAws_json1_1Tags = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1Tag(entry, context);
    });
};
const serializeAws_json1_1TaskDefinitionFieldList = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return entry;
    });
};
const serializeAws_json1_1TaskDefinitionPlacementConstraint = (input, context) => {
    return {
        ...(input.expression != null && { expression: input.expression }),
        ...(input.type != null && { type: input.type }),
    };
};
const serializeAws_json1_1TaskDefinitionPlacementConstraints = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1TaskDefinitionPlacementConstraint(entry, context);
    });
};
const serializeAws_json1_1TaskFieldList = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return entry;
    });
};
const serializeAws_json1_1TaskOverride = (input, context) => {
    return {
        ...(input.containerOverrides != null && {
            containerOverrides: serializeAws_json1_1ContainerOverrides(input.containerOverrides, context),
        }),
        ...(input.cpu != null && { cpu: input.cpu }),
        ...(input.ephemeralStorage != null && {
            ephemeralStorage: serializeAws_json1_1EphemeralStorage(input.ephemeralStorage, context),
        }),
        ...(input.executionRoleArn != null && { executionRoleArn: input.executionRoleArn }),
        ...(input.inferenceAcceleratorOverrides != null && {
            inferenceAcceleratorOverrides: serializeAws_json1_1InferenceAcceleratorOverrides(input.inferenceAcceleratorOverrides, context),
        }),
        ...(input.memory != null && { memory: input.memory }),
        ...(input.taskRoleArn != null && { taskRoleArn: input.taskRoleArn }),
    };
};
const serializeAws_json1_1TaskSetFieldList = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return entry;
    });
};
const serializeAws_json1_1Tmpfs = (input, context) => {
    return {
        ...(input.containerPath != null && { containerPath: input.containerPath }),
        ...(input.mountOptions != null && { mountOptions: serializeAws_json1_1StringList(input.mountOptions, context) }),
        ...(input.size != null && { size: input.size }),
    };
};
const serializeAws_json1_1TmpfsList = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1Tmpfs(entry, context);
    });
};
const serializeAws_json1_1Ulimit = (input, context) => {
    return {
        ...(input.hardLimit != null && { hardLimit: input.hardLimit }),
        ...(input.name != null && { name: input.name }),
        ...(input.softLimit != null && { softLimit: input.softLimit }),
    };
};
const serializeAws_json1_1UlimitList = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1Ulimit(entry, context);
    });
};
const serializeAws_json1_1UntagResourceRequest = (input, context) => {
    return {
        ...(input.resourceArn != null && { resourceArn: input.resourceArn }),
        ...(input.tagKeys != null && { tagKeys: serializeAws_json1_1TagKeys(input.tagKeys, context) }),
    };
};
const serializeAws_json1_1UpdateCapacityProviderRequest = (input, context) => {
    return {
        ...(input.autoScalingGroupProvider != null && {
            autoScalingGroupProvider: serializeAws_json1_1AutoScalingGroupProviderUpdate(input.autoScalingGroupProvider, context),
        }),
        ...(input.name != null && { name: input.name }),
    };
};
const serializeAws_json1_1UpdateClusterRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.configuration != null && {
            configuration: serializeAws_json1_1ClusterConfiguration(input.configuration, context),
        }),
        ...(input.settings != null && { settings: serializeAws_json1_1ClusterSettings(input.settings, context) }),
    };
};
const serializeAws_json1_1UpdateClusterSettingsRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.settings != null && { settings: serializeAws_json1_1ClusterSettings(input.settings, context) }),
    };
};
const serializeAws_json1_1UpdateContainerAgentRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.containerInstance != null && { containerInstance: input.containerInstance }),
    };
};
const serializeAws_json1_1UpdateContainerInstancesStateRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.containerInstances != null && {
            containerInstances: serializeAws_json1_1StringList(input.containerInstances, context),
        }),
        ...(input.status != null && { status: input.status }),
    };
};
const serializeAws_json1_1UpdateServicePrimaryTaskSetRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.primaryTaskSet != null && { primaryTaskSet: input.primaryTaskSet }),
        ...(input.service != null && { service: input.service }),
    };
};
const serializeAws_json1_1UpdateServiceRequest = (input, context) => {
    return {
        ...(input.capacityProviderStrategy != null && {
            capacityProviderStrategy: serializeAws_json1_1CapacityProviderStrategy(input.capacityProviderStrategy, context),
        }),
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.deploymentConfiguration != null && {
            deploymentConfiguration: serializeAws_json1_1DeploymentConfiguration(input.deploymentConfiguration, context),
        }),
        ...(input.desiredCount != null && { desiredCount: input.desiredCount }),
        ...(input.enableECSManagedTags != null && { enableECSManagedTags: input.enableECSManagedTags }),
        ...(input.enableExecuteCommand != null && { enableExecuteCommand: input.enableExecuteCommand }),
        ...(input.forceNewDeployment != null && { forceNewDeployment: input.forceNewDeployment }),
        ...(input.healthCheckGracePeriodSeconds != null && {
            healthCheckGracePeriodSeconds: input.healthCheckGracePeriodSeconds,
        }),
        ...(input.loadBalancers != null && {
            loadBalancers: serializeAws_json1_1LoadBalancers(input.loadBalancers, context),
        }),
        ...(input.networkConfiguration != null && {
            networkConfiguration: serializeAws_json1_1NetworkConfiguration(input.networkConfiguration, context),
        }),
        ...(input.placementConstraints != null && {
            placementConstraints: serializeAws_json1_1PlacementConstraints(input.placementConstraints, context),
        }),
        ...(input.placementStrategy != null && {
            placementStrategy: serializeAws_json1_1PlacementStrategies(input.placementStrategy, context),
        }),
        ...(input.platformVersion != null && { platformVersion: input.platformVersion }),
        ...(input.propagateTags != null && { propagateTags: input.propagateTags }),
        ...(input.service != null && { service: input.service }),
        ...(input.serviceRegistries != null && {
            serviceRegistries: serializeAws_json1_1ServiceRegistries(input.serviceRegistries, context),
        }),
        ...(input.taskDefinition != null && { taskDefinition: input.taskDefinition }),
    };
};
const serializeAws_json1_1UpdateTaskSetRequest = (input, context) => {
    return {
        ...(input.cluster != null && { cluster: input.cluster }),
        ...(input.scale != null && { scale: serializeAws_json1_1Scale(input.scale, context) }),
        ...(input.service != null && { service: input.service }),
        ...(input.taskSet != null && { taskSet: input.taskSet }),
    };
};
const serializeAws_json1_1VersionInfo = (input, context) => {
    return {
        ...(input.agentHash != null && { agentHash: input.agentHash }),
        ...(input.agentVersion != null && { agentVersion: input.agentVersion }),
        ...(input.dockerVersion != null && { dockerVersion: input.dockerVersion }),
    };
};
const serializeAws_json1_1Volume = (input, context) => {
    return {
        ...(input.dockerVolumeConfiguration != null && {
            dockerVolumeConfiguration: serializeAws_json1_1DockerVolumeConfiguration(input.dockerVolumeConfiguration, context),
        }),
        ...(input.efsVolumeConfiguration != null && {
            efsVolumeConfiguration: serializeAws_json1_1EFSVolumeConfiguration(input.efsVolumeConfiguration, context),
        }),
        ...(input.fsxWindowsFileServerVolumeConfiguration != null && {
            fsxWindowsFileServerVolumeConfiguration: serializeAws_json1_1FSxWindowsFileServerVolumeConfiguration(input.fsxWindowsFileServerVolumeConfiguration, context),
        }),
        ...(input.host != null && { host: serializeAws_json1_1HostVolumeProperties(input.host, context) }),
        ...(input.name != null && { name: input.name }),
    };
};
const serializeAws_json1_1VolumeFrom = (input, context) => {
    return {
        ...(input.readOnly != null && { readOnly: input.readOnly }),
        ...(input.sourceContainer != null && { sourceContainer: input.sourceContainer }),
    };
};
const serializeAws_json1_1VolumeFromList = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1VolumeFrom(entry, context);
    });
};
const serializeAws_json1_1VolumeList = (input, context) => {
    return input
        .filter((e) => e != null)
        .map((entry) => {
        return serializeAws_json1_1Volume(entry, context);
    });
};
const deserializeAws_json1_1AccessDeniedException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1Attachment = (output, context) => {
    return {
        details: output.details != null ? deserializeAws_json1_1AttachmentDetails(output.details, context) : undefined,
        id: __expectString(output.id),
        status: __expectString(output.status),
        type: __expectString(output.type),
    };
};
const deserializeAws_json1_1AttachmentDetails = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1KeyValuePair(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1Attachments = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Attachment(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1Attribute = (output, context) => {
    return {
        name: __expectString(output.name),
        targetId: __expectString(output.targetId),
        targetType: __expectString(output.targetType),
        value: __expectString(output.value),
    };
};
const deserializeAws_json1_1AttributeLimitExceededException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1Attributes = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Attribute(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1AutoScalingGroupProvider = (output, context) => {
    return {
        autoScalingGroupArn: __expectString(output.autoScalingGroupArn),
        managedScaling: output.managedScaling != null ? deserializeAws_json1_1ManagedScaling(output.managedScaling, context) : undefined,
        managedTerminationProtection: __expectString(output.managedTerminationProtection),
    };
};
const deserializeAws_json1_1AwsVpcConfiguration = (output, context) => {
    return {
        assignPublicIp: __expectString(output.assignPublicIp),
        securityGroups: output.securityGroups != null ? deserializeAws_json1_1StringList(output.securityGroups, context) : undefined,
        subnets: output.subnets != null ? deserializeAws_json1_1StringList(output.subnets, context) : undefined,
    };
};
const deserializeAws_json1_1BlockedException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1CapacityProvider = (output, context) => {
    return {
        autoScalingGroupProvider: output.autoScalingGroupProvider != null
            ? deserializeAws_json1_1AutoScalingGroupProvider(output.autoScalingGroupProvider, context)
            : undefined,
        capacityProviderArn: __expectString(output.capacityProviderArn),
        name: __expectString(output.name),
        status: __expectString(output.status),
        tags: output.tags != null ? deserializeAws_json1_1Tags(output.tags, context) : undefined,
        updateStatus: __expectString(output.updateStatus),
        updateStatusReason: __expectString(output.updateStatusReason),
    };
};
const deserializeAws_json1_1CapacityProviders = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1CapacityProvider(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1CapacityProviderStrategy = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1CapacityProviderStrategyItem(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1CapacityProviderStrategyItem = (output, context) => {
    return {
        base: __expectInt32(output.base),
        capacityProvider: __expectString(output.capacityProvider),
        weight: __expectInt32(output.weight),
    };
};
const deserializeAws_json1_1ClientException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1Cluster = (output, context) => {
    return {
        activeServicesCount: __expectInt32(output.activeServicesCount),
        attachments: output.attachments != null ? deserializeAws_json1_1Attachments(output.attachments, context) : undefined,
        attachmentsStatus: __expectString(output.attachmentsStatus),
        capacityProviders: output.capacityProviders != null
            ? deserializeAws_json1_1StringList(output.capacityProviders, context)
            : undefined,
        clusterArn: __expectString(output.clusterArn),
        clusterName: __expectString(output.clusterName),
        configuration: output.configuration != null
            ? deserializeAws_json1_1ClusterConfiguration(output.configuration, context)
            : undefined,
        defaultCapacityProviderStrategy: output.defaultCapacityProviderStrategy != null
            ? deserializeAws_json1_1CapacityProviderStrategy(output.defaultCapacityProviderStrategy, context)
            : undefined,
        pendingTasksCount: __expectInt32(output.pendingTasksCount),
        registeredContainerInstancesCount: __expectInt32(output.registeredContainerInstancesCount),
        runningTasksCount: __expectInt32(output.runningTasksCount),
        settings: output.settings != null ? deserializeAws_json1_1ClusterSettings(output.settings, context) : undefined,
        statistics: output.statistics != null ? deserializeAws_json1_1Statistics(output.statistics, context) : undefined,
        status: __expectString(output.status),
        tags: output.tags != null ? deserializeAws_json1_1Tags(output.tags, context) : undefined,
    };
};
const deserializeAws_json1_1ClusterConfiguration = (output, context) => {
    return {
        executeCommandConfiguration: output.executeCommandConfiguration != null
            ? deserializeAws_json1_1ExecuteCommandConfiguration(output.executeCommandConfiguration, context)
            : undefined,
    };
};
const deserializeAws_json1_1ClusterContainsContainerInstancesException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1ClusterContainsServicesException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1ClusterContainsTasksException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1ClusterNotFoundException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1Clusters = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Cluster(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1ClusterSetting = (output, context) => {
    return {
        name: __expectString(output.name),
        value: __expectString(output.value),
    };
};
const deserializeAws_json1_1ClusterSettings = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ClusterSetting(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1CompatibilityList = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
const deserializeAws_json1_1Container = (output, context) => {
    return {
        containerArn: __expectString(output.containerArn),
        cpu: __expectString(output.cpu),
        exitCode: __expectInt32(output.exitCode),
        gpuIds: output.gpuIds != null ? deserializeAws_json1_1GpuIds(output.gpuIds, context) : undefined,
        healthStatus: __expectString(output.healthStatus),
        image: __expectString(output.image),
        imageDigest: __expectString(output.imageDigest),
        lastStatus: __expectString(output.lastStatus),
        managedAgents: output.managedAgents != null ? deserializeAws_json1_1ManagedAgents(output.managedAgents, context) : undefined,
        memory: __expectString(output.memory),
        memoryReservation: __expectString(output.memoryReservation),
        name: __expectString(output.name),
        networkBindings: output.networkBindings != null
            ? deserializeAws_json1_1NetworkBindings(output.networkBindings, context)
            : undefined,
        networkInterfaces: output.networkInterfaces != null
            ? deserializeAws_json1_1NetworkInterfaces(output.networkInterfaces, context)
            : undefined,
        reason: __expectString(output.reason),
        runtimeId: __expectString(output.runtimeId),
        taskArn: __expectString(output.taskArn),
    };
};
const deserializeAws_json1_1ContainerDefinition = (output, context) => {
    return {
        command: output.command != null ? deserializeAws_json1_1StringList(output.command, context) : undefined,
        cpu: __expectInt32(output.cpu),
        dependsOn: output.dependsOn != null ? deserializeAws_json1_1ContainerDependencies(output.dependsOn, context) : undefined,
        disableNetworking: __expectBoolean(output.disableNetworking),
        dnsSearchDomains: output.dnsSearchDomains != null ? deserializeAws_json1_1StringList(output.dnsSearchDomains, context) : undefined,
        dnsServers: output.dnsServers != null ? deserializeAws_json1_1StringList(output.dnsServers, context) : undefined,
        dockerLabels: output.dockerLabels != null ? deserializeAws_json1_1DockerLabelsMap(output.dockerLabels, context) : undefined,
        dockerSecurityOptions: output.dockerSecurityOptions != null
            ? deserializeAws_json1_1StringList(output.dockerSecurityOptions, context)
            : undefined,
        entryPoint: output.entryPoint != null ? deserializeAws_json1_1StringList(output.entryPoint, context) : undefined,
        environment: output.environment != null ? deserializeAws_json1_1EnvironmentVariables(output.environment, context) : undefined,
        environmentFiles: output.environmentFiles != null
            ? deserializeAws_json1_1EnvironmentFiles(output.environmentFiles, context)
            : undefined,
        essential: __expectBoolean(output.essential),
        extraHosts: output.extraHosts != null ? deserializeAws_json1_1HostEntryList(output.extraHosts, context) : undefined,
        firelensConfiguration: output.firelensConfiguration != null
            ? deserializeAws_json1_1FirelensConfiguration(output.firelensConfiguration, context)
            : undefined,
        healthCheck: output.healthCheck != null ? deserializeAws_json1_1HealthCheck(output.healthCheck, context) : undefined,
        hostname: __expectString(output.hostname),
        image: __expectString(output.image),
        interactive: __expectBoolean(output.interactive),
        links: output.links != null ? deserializeAws_json1_1StringList(output.links, context) : undefined,
        linuxParameters: output.linuxParameters != null
            ? deserializeAws_json1_1LinuxParameters(output.linuxParameters, context)
            : undefined,
        logConfiguration: output.logConfiguration != null
            ? deserializeAws_json1_1LogConfiguration(output.logConfiguration, context)
            : undefined,
        memory: __expectInt32(output.memory),
        memoryReservation: __expectInt32(output.memoryReservation),
        mountPoints: output.mountPoints != null ? deserializeAws_json1_1MountPointList(output.mountPoints, context) : undefined,
        name: __expectString(output.name),
        portMappings: output.portMappings != null ? deserializeAws_json1_1PortMappingList(output.portMappings, context) : undefined,
        privileged: __expectBoolean(output.privileged),
        pseudoTerminal: __expectBoolean(output.pseudoTerminal),
        readonlyRootFilesystem: __expectBoolean(output.readonlyRootFilesystem),
        repositoryCredentials: output.repositoryCredentials != null
            ? deserializeAws_json1_1RepositoryCredentials(output.repositoryCredentials, context)
            : undefined,
        resourceRequirements: output.resourceRequirements != null
            ? deserializeAws_json1_1ResourceRequirements(output.resourceRequirements, context)
            : undefined,
        secrets: output.secrets != null ? deserializeAws_json1_1SecretList(output.secrets, context) : undefined,
        startTimeout: __expectInt32(output.startTimeout),
        stopTimeout: __expectInt32(output.stopTimeout),
        systemControls: output.systemControls != null ? deserializeAws_json1_1SystemControls(output.systemControls, context) : undefined,
        ulimits: output.ulimits != null ? deserializeAws_json1_1UlimitList(output.ulimits, context) : undefined,
        user: __expectString(output.user),
        volumesFrom: output.volumesFrom != null ? deserializeAws_json1_1VolumeFromList(output.volumesFrom, context) : undefined,
        workingDirectory: __expectString(output.workingDirectory),
    };
};
const deserializeAws_json1_1ContainerDefinitions = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ContainerDefinition(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1ContainerDependencies = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ContainerDependency(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1ContainerDependency = (output, context) => {
    return {
        condition: __expectString(output.condition),
        containerName: __expectString(output.containerName),
    };
};
const deserializeAws_json1_1ContainerInstance = (output, context) => {
    return {
        agentConnected: __expectBoolean(output.agentConnected),
        agentUpdateStatus: __expectString(output.agentUpdateStatus),
        attachments: output.attachments != null ? deserializeAws_json1_1Attachments(output.attachments, context) : undefined,
        attributes: output.attributes != null ? deserializeAws_json1_1Attributes(output.attributes, context) : undefined,
        capacityProviderName: __expectString(output.capacityProviderName),
        containerInstanceArn: __expectString(output.containerInstanceArn),
        ec2InstanceId: __expectString(output.ec2InstanceId),
        healthStatus: output.healthStatus != null
            ? deserializeAws_json1_1ContainerInstanceHealthStatus(output.healthStatus, context)
            : undefined,
        pendingTasksCount: __expectInt32(output.pendingTasksCount),
        registeredAt: output.registeredAt != null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.registeredAt)))
            : undefined,
        registeredResources: output.registeredResources != null
            ? deserializeAws_json1_1Resources(output.registeredResources, context)
            : undefined,
        remainingResources: output.remainingResources != null
            ? deserializeAws_json1_1Resources(output.remainingResources, context)
            : undefined,
        runningTasksCount: __expectInt32(output.runningTasksCount),
        status: __expectString(output.status),
        statusReason: __expectString(output.statusReason),
        tags: output.tags != null ? deserializeAws_json1_1Tags(output.tags, context) : undefined,
        version: __expectLong(output.version),
        versionInfo: output.versionInfo != null ? deserializeAws_json1_1VersionInfo(output.versionInfo, context) : undefined,
    };
};
const deserializeAws_json1_1ContainerInstanceHealthStatus = (output, context) => {
    return {
        details: output.details != null ? deserializeAws_json1_1InstanceHealthCheckResultList(output.details, context) : undefined,
        overallStatus: __expectString(output.overallStatus),
    };
};
const deserializeAws_json1_1ContainerInstances = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ContainerInstance(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1ContainerOverride = (output, context) => {
    return {
        command: output.command != null ? deserializeAws_json1_1StringList(output.command, context) : undefined,
        cpu: __expectInt32(output.cpu),
        environment: output.environment != null ? deserializeAws_json1_1EnvironmentVariables(output.environment, context) : undefined,
        environmentFiles: output.environmentFiles != null
            ? deserializeAws_json1_1EnvironmentFiles(output.environmentFiles, context)
            : undefined,
        memory: __expectInt32(output.memory),
        memoryReservation: __expectInt32(output.memoryReservation),
        name: __expectString(output.name),
        resourceRequirements: output.resourceRequirements != null
            ? deserializeAws_json1_1ResourceRequirements(output.resourceRequirements, context)
            : undefined,
    };
};
const deserializeAws_json1_1ContainerOverrides = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ContainerOverride(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1Containers = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Container(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1CreateCapacityProviderResponse = (output, context) => {
    return {
        capacityProvider: output.capacityProvider != null
            ? deserializeAws_json1_1CapacityProvider(output.capacityProvider, context)
            : undefined,
    };
};
const deserializeAws_json1_1CreateClusterResponse = (output, context) => {
    return {
        cluster: output.cluster != null ? deserializeAws_json1_1Cluster(output.cluster, context) : undefined,
    };
};
const deserializeAws_json1_1CreateServiceResponse = (output, context) => {
    return {
        service: output.service != null ? deserializeAws_json1_1Service(output.service, context) : undefined,
    };
};
const deserializeAws_json1_1CreateTaskSetResponse = (output, context) => {
    return {
        taskSet: output.taskSet != null ? deserializeAws_json1_1TaskSet(output.taskSet, context) : undefined,
    };
};
const deserializeAws_json1_1DeleteAccountSettingResponse = (output, context) => {
    return {
        setting: output.setting != null ? deserializeAws_json1_1Setting(output.setting, context) : undefined,
    };
};
const deserializeAws_json1_1DeleteAttributesResponse = (output, context) => {
    return {
        attributes: output.attributes != null ? deserializeAws_json1_1Attributes(output.attributes, context) : undefined,
    };
};
const deserializeAws_json1_1DeleteCapacityProviderResponse = (output, context) => {
    return {
        capacityProvider: output.capacityProvider != null
            ? deserializeAws_json1_1CapacityProvider(output.capacityProvider, context)
            : undefined,
    };
};
const deserializeAws_json1_1DeleteClusterResponse = (output, context) => {
    return {
        cluster: output.cluster != null ? deserializeAws_json1_1Cluster(output.cluster, context) : undefined,
    };
};
const deserializeAws_json1_1DeleteServiceResponse = (output, context) => {
    return {
        service: output.service != null ? deserializeAws_json1_1Service(output.service, context) : undefined,
    };
};
const deserializeAws_json1_1DeleteTaskSetResponse = (output, context) => {
    return {
        taskSet: output.taskSet != null ? deserializeAws_json1_1TaskSet(output.taskSet, context) : undefined,
    };
};
const deserializeAws_json1_1Deployment = (output, context) => {
    return {
        capacityProviderStrategy: output.capacityProviderStrategy != null
            ? deserializeAws_json1_1CapacityProviderStrategy(output.capacityProviderStrategy, context)
            : undefined,
        createdAt: output.createdAt != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.createdAt))) : undefined,
        desiredCount: __expectInt32(output.desiredCount),
        failedTasks: __expectInt32(output.failedTasks),
        id: __expectString(output.id),
        launchType: __expectString(output.launchType),
        networkConfiguration: output.networkConfiguration != null
            ? deserializeAws_json1_1NetworkConfiguration(output.networkConfiguration, context)
            : undefined,
        pendingCount: __expectInt32(output.pendingCount),
        platformFamily: __expectString(output.platformFamily),
        platformVersion: __expectString(output.platformVersion),
        rolloutState: __expectString(output.rolloutState),
        rolloutStateReason: __expectString(output.rolloutStateReason),
        runningCount: __expectInt32(output.runningCount),
        status: __expectString(output.status),
        taskDefinition: __expectString(output.taskDefinition),
        updatedAt: output.updatedAt != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.updatedAt))) : undefined,
    };
};
const deserializeAws_json1_1DeploymentCircuitBreaker = (output, context) => {
    return {
        enable: __expectBoolean(output.enable),
        rollback: __expectBoolean(output.rollback),
    };
};
const deserializeAws_json1_1DeploymentConfiguration = (output, context) => {
    return {
        deploymentCircuitBreaker: output.deploymentCircuitBreaker != null
            ? deserializeAws_json1_1DeploymentCircuitBreaker(output.deploymentCircuitBreaker, context)
            : undefined,
        maximumPercent: __expectInt32(output.maximumPercent),
        minimumHealthyPercent: __expectInt32(output.minimumHealthyPercent),
    };
};
const deserializeAws_json1_1DeploymentController = (output, context) => {
    return {
        type: __expectString(output.type),
    };
};
const deserializeAws_json1_1Deployments = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Deployment(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1DeregisterContainerInstanceResponse = (output, context) => {
    return {
        containerInstance: output.containerInstance != null
            ? deserializeAws_json1_1ContainerInstance(output.containerInstance, context)
            : undefined,
    };
};
const deserializeAws_json1_1DeregisterTaskDefinitionResponse = (output, context) => {
    return {
        taskDefinition: output.taskDefinition != null ? deserializeAws_json1_1TaskDefinition(output.taskDefinition, context) : undefined,
    };
};
const deserializeAws_json1_1DescribeCapacityProvidersResponse = (output, context) => {
    return {
        capacityProviders: output.capacityProviders != null
            ? deserializeAws_json1_1CapacityProviders(output.capacityProviders, context)
            : undefined,
        failures: output.failures != null ? deserializeAws_json1_1Failures(output.failures, context) : undefined,
        nextToken: __expectString(output.nextToken),
    };
};
const deserializeAws_json1_1DescribeClustersResponse = (output, context) => {
    return {
        clusters: output.clusters != null ? deserializeAws_json1_1Clusters(output.clusters, context) : undefined,
        failures: output.failures != null ? deserializeAws_json1_1Failures(output.failures, context) : undefined,
    };
};
const deserializeAws_json1_1DescribeContainerInstancesResponse = (output, context) => {
    return {
        containerInstances: output.containerInstances != null
            ? deserializeAws_json1_1ContainerInstances(output.containerInstances, context)
            : undefined,
        failures: output.failures != null ? deserializeAws_json1_1Failures(output.failures, context) : undefined,
    };
};
const deserializeAws_json1_1DescribeServicesResponse = (output, context) => {
    return {
        failures: output.failures != null ? deserializeAws_json1_1Failures(output.failures, context) : undefined,
        services: output.services != null ? deserializeAws_json1_1Services(output.services, context) : undefined,
    };
};
const deserializeAws_json1_1DescribeTaskDefinitionResponse = (output, context) => {
    return {
        tags: output.tags != null ? deserializeAws_json1_1Tags(output.tags, context) : undefined,
        taskDefinition: output.taskDefinition != null ? deserializeAws_json1_1TaskDefinition(output.taskDefinition, context) : undefined,
    };
};
const deserializeAws_json1_1DescribeTaskSetsResponse = (output, context) => {
    return {
        failures: output.failures != null ? deserializeAws_json1_1Failures(output.failures, context) : undefined,
        taskSets: output.taskSets != null ? deserializeAws_json1_1TaskSets(output.taskSets, context) : undefined,
    };
};
const deserializeAws_json1_1DescribeTasksResponse = (output, context) => {
    return {
        failures: output.failures != null ? deserializeAws_json1_1Failures(output.failures, context) : undefined,
        tasks: output.tasks != null ? deserializeAws_json1_1Tasks(output.tasks, context) : undefined,
    };
};
const deserializeAws_json1_1Device = (output, context) => {
    return {
        containerPath: __expectString(output.containerPath),
        hostPath: __expectString(output.hostPath),
        permissions: output.permissions != null
            ? deserializeAws_json1_1DeviceCgroupPermissions(output.permissions, context)
            : undefined,
    };
};
const deserializeAws_json1_1DeviceCgroupPermissions = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
const deserializeAws_json1_1DevicesList = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Device(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1DiscoverPollEndpointResponse = (output, context) => {
    return {
        endpoint: __expectString(output.endpoint),
        telemetryEndpoint: __expectString(output.telemetryEndpoint),
    };
};
const deserializeAws_json1_1DockerLabelsMap = (output, context) => {
    return Object.entries(output).reduce((acc, [key, value]) => {
        if (value === null) {
            return acc;
        }
        return {
            ...acc,
            [key]: __expectString(value),
        };
    }, {});
};
const deserializeAws_json1_1DockerVolumeConfiguration = (output, context) => {
    return {
        autoprovision: __expectBoolean(output.autoprovision),
        driver: __expectString(output.driver),
        driverOpts: output.driverOpts != null ? deserializeAws_json1_1StringMap(output.driverOpts, context) : undefined,
        labels: output.labels != null ? deserializeAws_json1_1StringMap(output.labels, context) : undefined,
        scope: __expectString(output.scope),
    };
};
const deserializeAws_json1_1EFSAuthorizationConfig = (output, context) => {
    return {
        accessPointId: __expectString(output.accessPointId),
        iam: __expectString(output.iam),
    };
};
const deserializeAws_json1_1EFSVolumeConfiguration = (output, context) => {
    return {
        authorizationConfig: output.authorizationConfig != null
            ? deserializeAws_json1_1EFSAuthorizationConfig(output.authorizationConfig, context)
            : undefined,
        fileSystemId: __expectString(output.fileSystemId),
        rootDirectory: __expectString(output.rootDirectory),
        transitEncryption: __expectString(output.transitEncryption),
        transitEncryptionPort: __expectInt32(output.transitEncryptionPort),
    };
};
const deserializeAws_json1_1EnvironmentFile = (output, context) => {
    return {
        type: __expectString(output.type),
        value: __expectString(output.value),
    };
};
const deserializeAws_json1_1EnvironmentFiles = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1EnvironmentFile(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1EnvironmentVariables = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1KeyValuePair(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1EphemeralStorage = (output, context) => {
    return {
        sizeInGiB: __expectInt32(output.sizeInGiB),
    };
};
const deserializeAws_json1_1ExecuteCommandConfiguration = (output, context) => {
    return {
        kmsKeyId: __expectString(output.kmsKeyId),
        logConfiguration: output.logConfiguration != null
            ? deserializeAws_json1_1ExecuteCommandLogConfiguration(output.logConfiguration, context)
            : undefined,
        logging: __expectString(output.logging),
    };
};
const deserializeAws_json1_1ExecuteCommandLogConfiguration = (output, context) => {
    return {
        cloudWatchEncryptionEnabled: __expectBoolean(output.cloudWatchEncryptionEnabled),
        cloudWatchLogGroupName: __expectString(output.cloudWatchLogGroupName),
        s3BucketName: __expectString(output.s3BucketName),
        s3EncryptionEnabled: __expectBoolean(output.s3EncryptionEnabled),
        s3KeyPrefix: __expectString(output.s3KeyPrefix),
    };
};
const deserializeAws_json1_1ExecuteCommandResponse = (output, context) => {
    return {
        clusterArn: __expectString(output.clusterArn),
        containerArn: __expectString(output.containerArn),
        containerName: __expectString(output.containerName),
        interactive: __expectBoolean(output.interactive),
        session: output.session != null ? deserializeAws_json1_1Session(output.session, context) : undefined,
        taskArn: __expectString(output.taskArn),
    };
};
const deserializeAws_json1_1Failure = (output, context) => {
    return {
        arn: __expectString(output.arn),
        detail: __expectString(output.detail),
        reason: __expectString(output.reason),
    };
};
const deserializeAws_json1_1Failures = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Failure(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1FirelensConfiguration = (output, context) => {
    return {
        options: output.options != null
            ? deserializeAws_json1_1FirelensConfigurationOptionsMap(output.options, context)
            : undefined,
        type: __expectString(output.type),
    };
};
const deserializeAws_json1_1FirelensConfigurationOptionsMap = (output, context) => {
    return Object.entries(output).reduce((acc, [key, value]) => {
        if (value === null) {
            return acc;
        }
        return {
            ...acc,
            [key]: __expectString(value),
        };
    }, {});
};
const deserializeAws_json1_1FSxWindowsFileServerAuthorizationConfig = (output, context) => {
    return {
        credentialsParameter: __expectString(output.credentialsParameter),
        domain: __expectString(output.domain),
    };
};
const deserializeAws_json1_1FSxWindowsFileServerVolumeConfiguration = (output, context) => {
    return {
        authorizationConfig: output.authorizationConfig != null
            ? deserializeAws_json1_1FSxWindowsFileServerAuthorizationConfig(output.authorizationConfig, context)
            : undefined,
        fileSystemId: __expectString(output.fileSystemId),
        rootDirectory: __expectString(output.rootDirectory),
    };
};
const deserializeAws_json1_1GpuIds = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
const deserializeAws_json1_1HealthCheck = (output, context) => {
    return {
        command: output.command != null ? deserializeAws_json1_1StringList(output.command, context) : undefined,
        interval: __expectInt32(output.interval),
        retries: __expectInt32(output.retries),
        startPeriod: __expectInt32(output.startPeriod),
        timeout: __expectInt32(output.timeout),
    };
};
const deserializeAws_json1_1HostEntry = (output, context) => {
    return {
        hostname: __expectString(output.hostname),
        ipAddress: __expectString(output.ipAddress),
    };
};
const deserializeAws_json1_1HostEntryList = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1HostEntry(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1HostVolumeProperties = (output, context) => {
    return {
        sourcePath: __expectString(output.sourcePath),
    };
};
const deserializeAws_json1_1InferenceAccelerator = (output, context) => {
    return {
        deviceName: __expectString(output.deviceName),
        deviceType: __expectString(output.deviceType),
    };
};
const deserializeAws_json1_1InferenceAcceleratorOverride = (output, context) => {
    return {
        deviceName: __expectString(output.deviceName),
        deviceType: __expectString(output.deviceType),
    };
};
const deserializeAws_json1_1InferenceAcceleratorOverrides = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1InferenceAcceleratorOverride(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1InferenceAccelerators = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1InferenceAccelerator(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1InstanceHealthCheckResult = (output, context) => {
    return {
        lastStatusChange: output.lastStatusChange != null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.lastStatusChange)))
            : undefined,
        lastUpdated: output.lastUpdated != null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.lastUpdated)))
            : undefined,
        status: __expectString(output.status),
        type: __expectString(output.type),
    };
};
const deserializeAws_json1_1InstanceHealthCheckResultList = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1InstanceHealthCheckResult(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1InvalidParameterException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1KernelCapabilities = (output, context) => {
    return {
        add: output.add != null ? deserializeAws_json1_1StringList(output.add, context) : undefined,
        drop: output.drop != null ? deserializeAws_json1_1StringList(output.drop, context) : undefined,
    };
};
const deserializeAws_json1_1KeyValuePair = (output, context) => {
    return {
        name: __expectString(output.name),
        value: __expectString(output.value),
    };
};
const deserializeAws_json1_1LimitExceededException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1LinuxParameters = (output, context) => {
    return {
        capabilities: output.capabilities != null ? deserializeAws_json1_1KernelCapabilities(output.capabilities, context) : undefined,
        devices: output.devices != null ? deserializeAws_json1_1DevicesList(output.devices, context) : undefined,
        initProcessEnabled: __expectBoolean(output.initProcessEnabled),
        maxSwap: __expectInt32(output.maxSwap),
        sharedMemorySize: __expectInt32(output.sharedMemorySize),
        swappiness: __expectInt32(output.swappiness),
        tmpfs: output.tmpfs != null ? deserializeAws_json1_1TmpfsList(output.tmpfs, context) : undefined,
    };
};
const deserializeAws_json1_1ListAccountSettingsResponse = (output, context) => {
    return {
        nextToken: __expectString(output.nextToken),
        settings: output.settings != null ? deserializeAws_json1_1Settings(output.settings, context) : undefined,
    };
};
const deserializeAws_json1_1ListAttributesResponse = (output, context) => {
    return {
        attributes: output.attributes != null ? deserializeAws_json1_1Attributes(output.attributes, context) : undefined,
        nextToken: __expectString(output.nextToken),
    };
};
const deserializeAws_json1_1ListClustersResponse = (output, context) => {
    return {
        clusterArns: output.clusterArns != null ? deserializeAws_json1_1StringList(output.clusterArns, context) : undefined,
        nextToken: __expectString(output.nextToken),
    };
};
const deserializeAws_json1_1ListContainerInstancesResponse = (output, context) => {
    return {
        containerInstanceArns: output.containerInstanceArns != null
            ? deserializeAws_json1_1StringList(output.containerInstanceArns, context)
            : undefined,
        nextToken: __expectString(output.nextToken),
    };
};
const deserializeAws_json1_1ListServicesResponse = (output, context) => {
    return {
        nextToken: __expectString(output.nextToken),
        serviceArns: output.serviceArns != null ? deserializeAws_json1_1StringList(output.serviceArns, context) : undefined,
    };
};
const deserializeAws_json1_1ListTagsForResourceResponse = (output, context) => {
    return {
        tags: output.tags != null ? deserializeAws_json1_1Tags(output.tags, context) : undefined,
    };
};
const deserializeAws_json1_1ListTaskDefinitionFamiliesResponse = (output, context) => {
    return {
        families: output.families != null ? deserializeAws_json1_1StringList(output.families, context) : undefined,
        nextToken: __expectString(output.nextToken),
    };
};
const deserializeAws_json1_1ListTaskDefinitionsResponse = (output, context) => {
    return {
        nextToken: __expectString(output.nextToken),
        taskDefinitionArns: output.taskDefinitionArns != null
            ? deserializeAws_json1_1StringList(output.taskDefinitionArns, context)
            : undefined,
    };
};
const deserializeAws_json1_1ListTasksResponse = (output, context) => {
    return {
        nextToken: __expectString(output.nextToken),
        taskArns: output.taskArns != null ? deserializeAws_json1_1StringList(output.taskArns, context) : undefined,
    };
};
const deserializeAws_json1_1LoadBalancer = (output, context) => {
    return {
        containerName: __expectString(output.containerName),
        containerPort: __expectInt32(output.containerPort),
        loadBalancerName: __expectString(output.loadBalancerName),
        targetGroupArn: __expectString(output.targetGroupArn),
    };
};
const deserializeAws_json1_1LoadBalancers = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1LoadBalancer(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1LogConfiguration = (output, context) => {
    return {
        logDriver: __expectString(output.logDriver),
        options: output.options != null ? deserializeAws_json1_1LogConfigurationOptionsMap(output.options, context) : undefined,
        secretOptions: output.secretOptions != null ? deserializeAws_json1_1SecretList(output.secretOptions, context) : undefined,
    };
};
const deserializeAws_json1_1LogConfigurationOptionsMap = (output, context) => {
    return Object.entries(output).reduce((acc, [key, value]) => {
        if (value === null) {
            return acc;
        }
        return {
            ...acc,
            [key]: __expectString(value),
        };
    }, {});
};
const deserializeAws_json1_1ManagedAgent = (output, context) => {
    return {
        lastStartedAt: output.lastStartedAt != null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.lastStartedAt)))
            : undefined,
        lastStatus: __expectString(output.lastStatus),
        name: __expectString(output.name),
        reason: __expectString(output.reason),
    };
};
const deserializeAws_json1_1ManagedAgents = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ManagedAgent(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1ManagedScaling = (output, context) => {
    return {
        instanceWarmupPeriod: __expectInt32(output.instanceWarmupPeriod),
        maximumScalingStepSize: __expectInt32(output.maximumScalingStepSize),
        minimumScalingStepSize: __expectInt32(output.minimumScalingStepSize),
        status: __expectString(output.status),
        targetCapacity: __expectInt32(output.targetCapacity),
    };
};
const deserializeAws_json1_1MissingVersionException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1MountPoint = (output, context) => {
    return {
        containerPath: __expectString(output.containerPath),
        readOnly: __expectBoolean(output.readOnly),
        sourceVolume: __expectString(output.sourceVolume),
    };
};
const deserializeAws_json1_1MountPointList = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1MountPoint(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1NetworkBinding = (output, context) => {
    return {
        bindIP: __expectString(output.bindIP),
        containerPort: __expectInt32(output.containerPort),
        hostPort: __expectInt32(output.hostPort),
        protocol: __expectString(output.protocol),
    };
};
const deserializeAws_json1_1NetworkBindings = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1NetworkBinding(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1NetworkConfiguration = (output, context) => {
    return {
        awsvpcConfiguration: output.awsvpcConfiguration != null
            ? deserializeAws_json1_1AwsVpcConfiguration(output.awsvpcConfiguration, context)
            : undefined,
    };
};
const deserializeAws_json1_1NetworkInterface = (output, context) => {
    return {
        attachmentId: __expectString(output.attachmentId),
        ipv6Address: __expectString(output.ipv6Address),
        privateIpv4Address: __expectString(output.privateIpv4Address),
    };
};
const deserializeAws_json1_1NetworkInterfaces = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1NetworkInterface(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1NoUpdateAvailableException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1PlacementConstraint = (output, context) => {
    return {
        expression: __expectString(output.expression),
        type: __expectString(output.type),
    };
};
const deserializeAws_json1_1PlacementConstraints = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1PlacementConstraint(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1PlacementStrategies = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1PlacementStrategy(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1PlacementStrategy = (output, context) => {
    return {
        field: __expectString(output.field),
        type: __expectString(output.type),
    };
};
const deserializeAws_json1_1PlatformTaskDefinitionIncompatibilityException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1PlatformUnknownException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1PortMapping = (output, context) => {
    return {
        containerPort: __expectInt32(output.containerPort),
        hostPort: __expectInt32(output.hostPort),
        protocol: __expectString(output.protocol),
    };
};
const deserializeAws_json1_1PortMappingList = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1PortMapping(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1ProxyConfiguration = (output, context) => {
    return {
        containerName: __expectString(output.containerName),
        properties: output.properties != null
            ? deserializeAws_json1_1ProxyConfigurationProperties(output.properties, context)
            : undefined,
        type: __expectString(output.type),
    };
};
const deserializeAws_json1_1ProxyConfigurationProperties = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1KeyValuePair(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1PutAccountSettingDefaultResponse = (output, context) => {
    return {
        setting: output.setting != null ? deserializeAws_json1_1Setting(output.setting, context) : undefined,
    };
};
const deserializeAws_json1_1PutAccountSettingResponse = (output, context) => {
    return {
        setting: output.setting != null ? deserializeAws_json1_1Setting(output.setting, context) : undefined,
    };
};
const deserializeAws_json1_1PutAttributesResponse = (output, context) => {
    return {
        attributes: output.attributes != null ? deserializeAws_json1_1Attributes(output.attributes, context) : undefined,
    };
};
const deserializeAws_json1_1PutClusterCapacityProvidersResponse = (output, context) => {
    return {
        cluster: output.cluster != null ? deserializeAws_json1_1Cluster(output.cluster, context) : undefined,
    };
};
const deserializeAws_json1_1RegisterContainerInstanceResponse = (output, context) => {
    return {
        containerInstance: output.containerInstance != null
            ? deserializeAws_json1_1ContainerInstance(output.containerInstance, context)
            : undefined,
    };
};
const deserializeAws_json1_1RegisterTaskDefinitionResponse = (output, context) => {
    return {
        tags: output.tags != null ? deserializeAws_json1_1Tags(output.tags, context) : undefined,
        taskDefinition: output.taskDefinition != null ? deserializeAws_json1_1TaskDefinition(output.taskDefinition, context) : undefined,
    };
};
const deserializeAws_json1_1RepositoryCredentials = (output, context) => {
    return {
        credentialsParameter: __expectString(output.credentialsParameter),
    };
};
const deserializeAws_json1_1RequiresAttributes = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Attribute(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1Resource = (output, context) => {
    return {
        doubleValue: __limitedParseDouble(output.doubleValue),
        integerValue: __expectInt32(output.integerValue),
        longValue: __expectLong(output.longValue),
        name: __expectString(output.name),
        stringSetValue: output.stringSetValue != null ? deserializeAws_json1_1StringList(output.stringSetValue, context) : undefined,
        type: __expectString(output.type),
    };
};
const deserializeAws_json1_1ResourceInUseException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1ResourceNotFoundException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1ResourceRequirement = (output, context) => {
    return {
        type: __expectString(output.type),
        value: __expectString(output.value),
    };
};
const deserializeAws_json1_1ResourceRequirements = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ResourceRequirement(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1Resources = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Resource(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1RunTaskResponse = (output, context) => {
    return {
        failures: output.failures != null ? deserializeAws_json1_1Failures(output.failures, context) : undefined,
        tasks: output.tasks != null ? deserializeAws_json1_1Tasks(output.tasks, context) : undefined,
    };
};
const deserializeAws_json1_1RuntimePlatform = (output, context) => {
    return {
        cpuArchitecture: __expectString(output.cpuArchitecture),
        operatingSystemFamily: __expectString(output.operatingSystemFamily),
    };
};
const deserializeAws_json1_1Scale = (output, context) => {
    return {
        unit: __expectString(output.unit),
        value: __limitedParseDouble(output.value),
    };
};
const deserializeAws_json1_1Secret = (output, context) => {
    return {
        name: __expectString(output.name),
        valueFrom: __expectString(output.valueFrom),
    };
};
const deserializeAws_json1_1SecretList = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Secret(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1ServerException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1Service = (output, context) => {
    return {
        capacityProviderStrategy: output.capacityProviderStrategy != null
            ? deserializeAws_json1_1CapacityProviderStrategy(output.capacityProviderStrategy, context)
            : undefined,
        clusterArn: __expectString(output.clusterArn),
        createdAt: output.createdAt != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.createdAt))) : undefined,
        createdBy: __expectString(output.createdBy),
        deploymentConfiguration: output.deploymentConfiguration != null
            ? deserializeAws_json1_1DeploymentConfiguration(output.deploymentConfiguration, context)
            : undefined,
        deploymentController: output.deploymentController != null
            ? deserializeAws_json1_1DeploymentController(output.deploymentController, context)
            : undefined,
        deployments: output.deployments != null ? deserializeAws_json1_1Deployments(output.deployments, context) : undefined,
        desiredCount: __expectInt32(output.desiredCount),
        enableECSManagedTags: __expectBoolean(output.enableECSManagedTags),
        enableExecuteCommand: __expectBoolean(output.enableExecuteCommand),
        events: output.events != null ? deserializeAws_json1_1ServiceEvents(output.events, context) : undefined,
        healthCheckGracePeriodSeconds: __expectInt32(output.healthCheckGracePeriodSeconds),
        launchType: __expectString(output.launchType),
        loadBalancers: output.loadBalancers != null ? deserializeAws_json1_1LoadBalancers(output.loadBalancers, context) : undefined,
        networkConfiguration: output.networkConfiguration != null
            ? deserializeAws_json1_1NetworkConfiguration(output.networkConfiguration, context)
            : undefined,
        pendingCount: __expectInt32(output.pendingCount),
        placementConstraints: output.placementConstraints != null
            ? deserializeAws_json1_1PlacementConstraints(output.placementConstraints, context)
            : undefined,
        placementStrategy: output.placementStrategy != null
            ? deserializeAws_json1_1PlacementStrategies(output.placementStrategy, context)
            : undefined,
        platformFamily: __expectString(output.platformFamily),
        platformVersion: __expectString(output.platformVersion),
        propagateTags: __expectString(output.propagateTags),
        roleArn: __expectString(output.roleArn),
        runningCount: __expectInt32(output.runningCount),
        schedulingStrategy: __expectString(output.schedulingStrategy),
        serviceArn: __expectString(output.serviceArn),
        serviceName: __expectString(output.serviceName),
        serviceRegistries: output.serviceRegistries != null
            ? deserializeAws_json1_1ServiceRegistries(output.serviceRegistries, context)
            : undefined,
        status: __expectString(output.status),
        tags: output.tags != null ? deserializeAws_json1_1Tags(output.tags, context) : undefined,
        taskDefinition: __expectString(output.taskDefinition),
        taskSets: output.taskSets != null ? deserializeAws_json1_1TaskSets(output.taskSets, context) : undefined,
    };
};
const deserializeAws_json1_1ServiceEvent = (output, context) => {
    return {
        createdAt: output.createdAt != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.createdAt))) : undefined,
        id: __expectString(output.id),
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1ServiceEvents = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ServiceEvent(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1ServiceNotActiveException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1ServiceNotFoundException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1ServiceRegistries = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ServiceRegistry(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1ServiceRegistry = (output, context) => {
    return {
        containerName: __expectString(output.containerName),
        containerPort: __expectInt32(output.containerPort),
        port: __expectInt32(output.port),
        registryArn: __expectString(output.registryArn),
    };
};
const deserializeAws_json1_1Services = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Service(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1Session = (output, context) => {
    return {
        sessionId: __expectString(output.sessionId),
        streamUrl: __expectString(output.streamUrl),
        tokenValue: __expectString(output.tokenValue),
    };
};
const deserializeAws_json1_1Setting = (output, context) => {
    return {
        name: __expectString(output.name),
        principalArn: __expectString(output.principalArn),
        value: __expectString(output.value),
    };
};
const deserializeAws_json1_1Settings = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Setting(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1StartTaskResponse = (output, context) => {
    return {
        failures: output.failures != null ? deserializeAws_json1_1Failures(output.failures, context) : undefined,
        tasks: output.tasks != null ? deserializeAws_json1_1Tasks(output.tasks, context) : undefined,
    };
};
const deserializeAws_json1_1Statistics = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1KeyValuePair(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1StopTaskResponse = (output, context) => {
    return {
        task: output.task != null ? deserializeAws_json1_1Task(output.task, context) : undefined,
    };
};
const deserializeAws_json1_1StringList = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
const deserializeAws_json1_1StringMap = (output, context) => {
    return Object.entries(output).reduce((acc, [key, value]) => {
        if (value === null) {
            return acc;
        }
        return {
            ...acc,
            [key]: __expectString(value),
        };
    }, {});
};
const deserializeAws_json1_1SubmitAttachmentStateChangesResponse = (output, context) => {
    return {
        acknowledgment: __expectString(output.acknowledgment),
    };
};
const deserializeAws_json1_1SubmitContainerStateChangeResponse = (output, context) => {
    return {
        acknowledgment: __expectString(output.acknowledgment),
    };
};
const deserializeAws_json1_1SubmitTaskStateChangeResponse = (output, context) => {
    return {
        acknowledgment: __expectString(output.acknowledgment),
    };
};
const deserializeAws_json1_1SystemControl = (output, context) => {
    return {
        namespace: __expectString(output.namespace),
        value: __expectString(output.value),
    };
};
const deserializeAws_json1_1SystemControls = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1SystemControl(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1Tag = (output, context) => {
    return {
        key: __expectString(output.key),
        value: __expectString(output.value),
    };
};
const deserializeAws_json1_1TagResourceResponse = (output, context) => {
    return {};
};
const deserializeAws_json1_1Tags = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Tag(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1TargetNotConnectedException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1TargetNotFoundException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1Task = (output, context) => {
    return {
        attachments: output.attachments != null ? deserializeAws_json1_1Attachments(output.attachments, context) : undefined,
        attributes: output.attributes != null ? deserializeAws_json1_1Attributes(output.attributes, context) : undefined,
        availabilityZone: __expectString(output.availabilityZone),
        capacityProviderName: __expectString(output.capacityProviderName),
        clusterArn: __expectString(output.clusterArn),
        connectivity: __expectString(output.connectivity),
        connectivityAt: output.connectivityAt != null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.connectivityAt)))
            : undefined,
        containerInstanceArn: __expectString(output.containerInstanceArn),
        containers: output.containers != null ? deserializeAws_json1_1Containers(output.containers, context) : undefined,
        cpu: __expectString(output.cpu),
        createdAt: output.createdAt != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.createdAt))) : undefined,
        desiredStatus: __expectString(output.desiredStatus),
        enableExecuteCommand: __expectBoolean(output.enableExecuteCommand),
        ephemeralStorage: output.ephemeralStorage != null
            ? deserializeAws_json1_1EphemeralStorage(output.ephemeralStorage, context)
            : undefined,
        executionStoppedAt: output.executionStoppedAt != null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.executionStoppedAt)))
            : undefined,
        group: __expectString(output.group),
        healthStatus: __expectString(output.healthStatus),
        inferenceAccelerators: output.inferenceAccelerators != null
            ? deserializeAws_json1_1InferenceAccelerators(output.inferenceAccelerators, context)
            : undefined,
        lastStatus: __expectString(output.lastStatus),
        launchType: __expectString(output.launchType),
        memory: __expectString(output.memory),
        overrides: output.overrides != null ? deserializeAws_json1_1TaskOverride(output.overrides, context) : undefined,
        platformFamily: __expectString(output.platformFamily),
        platformVersion: __expectString(output.platformVersion),
        pullStartedAt: output.pullStartedAt != null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.pullStartedAt)))
            : undefined,
        pullStoppedAt: output.pullStoppedAt != null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.pullStoppedAt)))
            : undefined,
        startedAt: output.startedAt != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.startedAt))) : undefined,
        startedBy: __expectString(output.startedBy),
        stopCode: __expectString(output.stopCode),
        stoppedAt: output.stoppedAt != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.stoppedAt))) : undefined,
        stoppedReason: __expectString(output.stoppedReason),
        stoppingAt: output.stoppingAt != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.stoppingAt))) : undefined,
        tags: output.tags != null ? deserializeAws_json1_1Tags(output.tags, context) : undefined,
        taskArn: __expectString(output.taskArn),
        taskDefinitionArn: __expectString(output.taskDefinitionArn),
        version: __expectLong(output.version),
    };
};
const deserializeAws_json1_1TaskDefinition = (output, context) => {
    return {
        compatibilities: output.compatibilities != null
            ? deserializeAws_json1_1CompatibilityList(output.compatibilities, context)
            : undefined,
        containerDefinitions: output.containerDefinitions != null
            ? deserializeAws_json1_1ContainerDefinitions(output.containerDefinitions, context)
            : undefined,
        cpu: __expectString(output.cpu),
        deregisteredAt: output.deregisteredAt != null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.deregisteredAt)))
            : undefined,
        ephemeralStorage: output.ephemeralStorage != null
            ? deserializeAws_json1_1EphemeralStorage(output.ephemeralStorage, context)
            : undefined,
        executionRoleArn: __expectString(output.executionRoleArn),
        family: __expectString(output.family),
        inferenceAccelerators: output.inferenceAccelerators != null
            ? deserializeAws_json1_1InferenceAccelerators(output.inferenceAccelerators, context)
            : undefined,
        ipcMode: __expectString(output.ipcMode),
        memory: __expectString(output.memory),
        networkMode: __expectString(output.networkMode),
        pidMode: __expectString(output.pidMode),
        placementConstraints: output.placementConstraints != null
            ? deserializeAws_json1_1TaskDefinitionPlacementConstraints(output.placementConstraints, context)
            : undefined,
        proxyConfiguration: output.proxyConfiguration != null
            ? deserializeAws_json1_1ProxyConfiguration(output.proxyConfiguration, context)
            : undefined,
        registeredAt: output.registeredAt != null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.registeredAt)))
            : undefined,
        registeredBy: __expectString(output.registeredBy),
        requiresAttributes: output.requiresAttributes != null
            ? deserializeAws_json1_1RequiresAttributes(output.requiresAttributes, context)
            : undefined,
        requiresCompatibilities: output.requiresCompatibilities != null
            ? deserializeAws_json1_1CompatibilityList(output.requiresCompatibilities, context)
            : undefined,
        revision: __expectInt32(output.revision),
        runtimePlatform: output.runtimePlatform != null
            ? deserializeAws_json1_1RuntimePlatform(output.runtimePlatform, context)
            : undefined,
        status: __expectString(output.status),
        taskDefinitionArn: __expectString(output.taskDefinitionArn),
        taskRoleArn: __expectString(output.taskRoleArn),
        volumes: output.volumes != null ? deserializeAws_json1_1VolumeList(output.volumes, context) : undefined,
    };
};
const deserializeAws_json1_1TaskDefinitionPlacementConstraint = (output, context) => {
    return {
        expression: __expectString(output.expression),
        type: __expectString(output.type),
    };
};
const deserializeAws_json1_1TaskDefinitionPlacementConstraints = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1TaskDefinitionPlacementConstraint(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1TaskOverride = (output, context) => {
    return {
        containerOverrides: output.containerOverrides != null
            ? deserializeAws_json1_1ContainerOverrides(output.containerOverrides, context)
            : undefined,
        cpu: __expectString(output.cpu),
        ephemeralStorage: output.ephemeralStorage != null
            ? deserializeAws_json1_1EphemeralStorage(output.ephemeralStorage, context)
            : undefined,
        executionRoleArn: __expectString(output.executionRoleArn),
        inferenceAcceleratorOverrides: output.inferenceAcceleratorOverrides != null
            ? deserializeAws_json1_1InferenceAcceleratorOverrides(output.inferenceAcceleratorOverrides, context)
            : undefined,
        memory: __expectString(output.memory),
        taskRoleArn: __expectString(output.taskRoleArn),
    };
};
const deserializeAws_json1_1Tasks = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Task(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1TaskSet = (output, context) => {
    return {
        capacityProviderStrategy: output.capacityProviderStrategy != null
            ? deserializeAws_json1_1CapacityProviderStrategy(output.capacityProviderStrategy, context)
            : undefined,
        clusterArn: __expectString(output.clusterArn),
        computedDesiredCount: __expectInt32(output.computedDesiredCount),
        createdAt: output.createdAt != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.createdAt))) : undefined,
        externalId: __expectString(output.externalId),
        id: __expectString(output.id),
        launchType: __expectString(output.launchType),
        loadBalancers: output.loadBalancers != null ? deserializeAws_json1_1LoadBalancers(output.loadBalancers, context) : undefined,
        networkConfiguration: output.networkConfiguration != null
            ? deserializeAws_json1_1NetworkConfiguration(output.networkConfiguration, context)
            : undefined,
        pendingCount: __expectInt32(output.pendingCount),
        platformFamily: __expectString(output.platformFamily),
        platformVersion: __expectString(output.platformVersion),
        runningCount: __expectInt32(output.runningCount),
        scale: output.scale != null ? deserializeAws_json1_1Scale(output.scale, context) : undefined,
        serviceArn: __expectString(output.serviceArn),
        serviceRegistries: output.serviceRegistries != null
            ? deserializeAws_json1_1ServiceRegistries(output.serviceRegistries, context)
            : undefined,
        stabilityStatus: __expectString(output.stabilityStatus),
        stabilityStatusAt: output.stabilityStatusAt != null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.stabilityStatusAt)))
            : undefined,
        startedBy: __expectString(output.startedBy),
        status: __expectString(output.status),
        tags: output.tags != null ? deserializeAws_json1_1Tags(output.tags, context) : undefined,
        taskDefinition: __expectString(output.taskDefinition),
        taskSetArn: __expectString(output.taskSetArn),
        updatedAt: output.updatedAt != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.updatedAt))) : undefined,
    };
};
const deserializeAws_json1_1TaskSetNotFoundException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1TaskSets = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1TaskSet(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1Tmpfs = (output, context) => {
    return {
        containerPath: __expectString(output.containerPath),
        mountOptions: output.mountOptions != null ? deserializeAws_json1_1StringList(output.mountOptions, context) : undefined,
        size: __expectInt32(output.size),
    };
};
const deserializeAws_json1_1TmpfsList = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Tmpfs(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1Ulimit = (output, context) => {
    return {
        hardLimit: __expectInt32(output.hardLimit),
        name: __expectString(output.name),
        softLimit: __expectInt32(output.softLimit),
    };
};
const deserializeAws_json1_1UlimitList = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Ulimit(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1UnsupportedFeatureException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1UntagResourceResponse = (output, context) => {
    return {};
};
const deserializeAws_json1_1UpdateCapacityProviderResponse = (output, context) => {
    return {
        capacityProvider: output.capacityProvider != null
            ? deserializeAws_json1_1CapacityProvider(output.capacityProvider, context)
            : undefined,
    };
};
const deserializeAws_json1_1UpdateClusterResponse = (output, context) => {
    return {
        cluster: output.cluster != null ? deserializeAws_json1_1Cluster(output.cluster, context) : undefined,
    };
};
const deserializeAws_json1_1UpdateClusterSettingsResponse = (output, context) => {
    return {
        cluster: output.cluster != null ? deserializeAws_json1_1Cluster(output.cluster, context) : undefined,
    };
};
const deserializeAws_json1_1UpdateContainerAgentResponse = (output, context) => {
    return {
        containerInstance: output.containerInstance != null
            ? deserializeAws_json1_1ContainerInstance(output.containerInstance, context)
            : undefined,
    };
};
const deserializeAws_json1_1UpdateContainerInstancesStateResponse = (output, context) => {
    return {
        containerInstances: output.containerInstances != null
            ? deserializeAws_json1_1ContainerInstances(output.containerInstances, context)
            : undefined,
        failures: output.failures != null ? deserializeAws_json1_1Failures(output.failures, context) : undefined,
    };
};
const deserializeAws_json1_1UpdateInProgressException = (output, context) => {
    return {
        message: __expectString(output.message),
    };
};
const deserializeAws_json1_1UpdateServicePrimaryTaskSetResponse = (output, context) => {
    return {
        taskSet: output.taskSet != null ? deserializeAws_json1_1TaskSet(output.taskSet, context) : undefined,
    };
};
const deserializeAws_json1_1UpdateServiceResponse = (output, context) => {
    return {
        service: output.service != null ? deserializeAws_json1_1Service(output.service, context) : undefined,
    };
};
const deserializeAws_json1_1UpdateTaskSetResponse = (output, context) => {
    return {
        taskSet: output.taskSet != null ? deserializeAws_json1_1TaskSet(output.taskSet, context) : undefined,
    };
};
const deserializeAws_json1_1VersionInfo = (output, context) => {
    return {
        agentHash: __expectString(output.agentHash),
        agentVersion: __expectString(output.agentVersion),
        dockerVersion: __expectString(output.dockerVersion),
    };
};
const deserializeAws_json1_1Volume = (output, context) => {
    return {
        dockerVolumeConfiguration: output.dockerVolumeConfiguration != null
            ? deserializeAws_json1_1DockerVolumeConfiguration(output.dockerVolumeConfiguration, context)
            : undefined,
        efsVolumeConfiguration: output.efsVolumeConfiguration != null
            ? deserializeAws_json1_1EFSVolumeConfiguration(output.efsVolumeConfiguration, context)
            : undefined,
        fsxWindowsFileServerVolumeConfiguration: output.fsxWindowsFileServerVolumeConfiguration != null
            ? deserializeAws_json1_1FSxWindowsFileServerVolumeConfiguration(output.fsxWindowsFileServerVolumeConfiguration, context)
            : undefined,
        host: output.host != null ? deserializeAws_json1_1HostVolumeProperties(output.host, context) : undefined,
        name: __expectString(output.name),
    };
};
const deserializeAws_json1_1VolumeFrom = (output, context) => {
    return {
        readOnly: __expectBoolean(output.readOnly),
        sourceContainer: __expectString(output.sourceContainer),
    };
};
const deserializeAws_json1_1VolumeFromList = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1VolumeFrom(entry, context);
    });
    return retVal;
};
const deserializeAws_json1_1VolumeList = (output, context) => {
    const retVal = (output || [])
        .filter((e) => e != null)
        .map((entry) => {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Volume(entry, context);
    });
    return retVal;
};
const deserializeMetadata = (output) => ({
    httpStatusCode: output.statusCode,
    requestId: output.headers["x-amzn-requestid"] ?? output.headers["x-amzn-request-id"] ?? output.headers["x-amz-request-id"],
    extendedRequestId: output.headers["x-amz-id-2"],
    cfId: output.headers["x-amz-cf-id"],
});
const collectBody = (streamBody = new Uint8Array(), context) => {
    if (streamBody instanceof Uint8Array) {
        return Promise.resolve(streamBody);
    }
    return context.streamCollector(streamBody) || Promise.resolve(new Uint8Array());
};
const collectBodyString = (streamBody, context) => collectBody(streamBody, context).then((body) => context.utf8Encoder(body));
const buildHttpRpcRequest = async (context, headers, path, resolvedHostname, body) => {
    const { hostname, protocol = "https", port, path: basePath } = await context.endpoint();
    const contents = {
        protocol,
        hostname,
        port,
        method: "POST",
        path: basePath.endsWith("/") ? basePath.slice(0, -1) + path : basePath + path,
        headers,
    };
    if (resolvedHostname !== undefined) {
        contents.hostname = resolvedHostname;
    }
    if (body !== undefined) {
        contents.body = body;
    }
    return new __HttpRequest(contents);
};
const parseBody = (streamBody, context) => collectBodyString(streamBody, context).then((encoded) => {
    if (encoded.length) {
        return JSON.parse(encoded);
    }
    return {};
});
const parseErrorBody = async (errorBody, context) => {
    const value = await parseBody(errorBody, context);
    value.message = value.message ?? value.Message;
    return value;
};
const loadRestJsonErrorCode = (output, data) => {
    const findKey = (object, key) => Object.keys(object).find((k) => k.toLowerCase() === key.toLowerCase());
    const sanitizeErrorCode = (rawValue) => {
        let cleanValue = rawValue;
        if (typeof cleanValue === "number") {
            cleanValue = cleanValue.toString();
        }
        if (cleanValue.indexOf(",") >= 0) {
            cleanValue = cleanValue.split(",")[0];
        }
        if (cleanValue.indexOf(":") >= 0) {
            cleanValue = cleanValue.split(":")[0];
        }
        if (cleanValue.indexOf("#") >= 0) {
            cleanValue = cleanValue.split("#")[1];
        }
        return cleanValue;
    };
    const headerKey = findKey(output.headers, "x-amzn-errortype");
    if (headerKey !== undefined) {
        return sanitizeErrorCode(output.headers[headerKey]);
    }
    if (data.code !== undefined) {
        return sanitizeErrorCode(data.code);
    }
    if (data["__type"] !== undefined) {
        return sanitizeErrorCode(data["__type"]);
    }
};
